/**
  * 项目所有API
  * 统一管理
  */
const api = {
  token: '/admin/authorizations', // 获取token
  tokenInfo: '/admin/authorizations/current', // 刷新token 删除token token的操作
  userInfo: '/admin/users/current', // 根据token 获取用户信息
  userMenu: '/admin/menus/current', // 获取当前用户的菜单
  menus: '/admin/auth/menus', // 菜单的获取 创建
  roles: '/admin/auth/roles', // 获取角色信息
  adminUser: '/admin/auth/users', // 管理员的增删查改

  permission: '/admin/auth/permissions', // 权限的增删改查

  log: '/admin/logs/operation', // 日志
  // 系统设置
  configs: '/admin/configs', // 全局设置

  basic: '/admin/configs/basic', // 基本设置
  memberConfig: '/admin/configs/member', // 基本设置
  notice: '/admin/configs/notice',
  portConfig: '/admin/configs/interface', // 接口设置
  portDiscover: '/admin/interface/check', // 接口检测
  financeConfig: '/admin/configs/finance', // 财务设置
  rechargeConfig: '/admin/configs/top_up', // 充值
  featuresConfig: '/admin/configs/product', // 功能
  safetyConfig: '/admin/configs/safety', // 安全

  fileUpload: '/admin/attachments', // 文件上传使用的 element-ui 自带的上传，如果是本地开发要手动加上 跨域前缀

  // banner管理
  banner: '/admin/banners',
  // 会员等级
  level: '/admin/user_groups',
  /**
   * 会员管理
   * 会员列表
   * 会员身份认证审核
   */
  member: '/admin/users',
  auths: '/admin/user_auths',
  // 前台菜单管理
  nav: '/admin/navigations',
  // 客服管理
  customer: '/admin/customer_service_staffs',
  template: '/admin/message_templates', // 消息模板

  // 站务
  // 公告
  announcements: '/admin/announcements',
  announcementCategories: '/admin/announcement_categories',
  // 资讯
  news: '/admin/news',
  newsCategories: '/admin/news_categories',

  // 友情链接
  links: '/admin/website_links',
  // 用户需求
  projectRequirements: '/admin/project_requirements',
  tmQueryRequirements: '/admin/tm_query_requirements',
  tmPurchaseRequirements: '/admin/tm_purchase_requirements',
  // 帮助管理
  helpClassSync: '/admin/help_categories/sync',
  helpClass: '/admin/help_categories',
  help: '/admin/helps',

  helpSync: '/admin/helps/sync', // 同步帮助
  helpLocal: '/admin/helps/ep_images', // 图片待本地化的帮助列表
  // 单页管理
  singlePage: '/admin/single_pages',
  // 优惠券管理
  coupon: '/admin/coupons',
  /**
   * 财务管理
   */
  workflow: '/admin/workflow_steps', // 审核流程
  receipts: '/admin/receipts', // 入款/扣款
  withdrawals: '/admin/withdraw', // 入款/扣款
  invoices: '/admin/invoice', // 入款/扣款
  refunds: '/admin/refund', // 入款/扣款
  receiptsAudit: '/admin/receipts/audit', // 入款/扣款
  /**
   * [tm_ipr,domain_reg,ssl,vhost,server,gw_web,vas,mini_program,etp_email,tm_trade,domain_trade]
   * 产品
   * 价格体系
   * 企业服务产品
   * 域名
   * 域名交易
   * SSL
   * 企业邮箱
   * 官微建站
   * 云服务器
   * 小程序
   * 商标交易
   * @modules/product.js
   */
  adminProducts: '/admin/products',
  adminSyncProducts: '/admin/products/sync',
  adminPrices: '/admin/prices',
  adminSyncPrices: '/admin/prices/sync',
  adminPriceInit: '/admin/prices/init',
  adminBusinessTax: '/admin/cs_products',
  adminBusinessTaxType: '/admin/cs_product_classes',
  adminBusinessTaxAttr: '/admin/cs_product_attribute',
  adminTmProducts: '/admin/tm_products',
  adminSmsProducts: '/admin/sms_products',
  adminTmClasses: '/admin/tm_classes',
  adminDomainSuffixes: '/admin/domain_suffixes',
  adminDomainTrade: '/admin/dt_products', // 域名交易 产品 列表
  adminDomainTradeSync: '/admin/dt/sync', // 域名交易数据同步
  adminCloudDts: '/admin/cloud_dts', // 云域名交易列表
  adminLocalDts: '/admin/local_dts', // 本地域名交易列表
  adminSslTags: '/admin/ssl_tags',
  adminSslProducts: '/admin/ssl_products',

  adminVirtualHostLines: '/admin/vhost_lines', // 线路列表
  adminVirtualHostGroups: '/admin/vhost_groups', // 产品组列表
  adminVirtualHostPackages: '/admin/vhost_packages', // 套餐列表
  adminVirtualHostCms: '/admin/vhost_cms', // CMS列表

  adminEmail: '/admin/xw_email_products',

  adminGW: '/admin/gw_products',
  adminGWTemplete: '/admin/gw_templates',
  adminGWTempleteClass: '/admin/gw_template_classes',
  adminGWExamples: '/admin/gw_examples',

  adminServerLines: '/admin/server_lines',
  adminServerClass: '/admin/server_system_classes',
  adminServerSystem: '/admin/server_systems',

  adminMiniProducts: '/admin/xzys_products',
  adminMiniPermissions: '/admin/xzys_permissions',

  adminTmSale: '/admin/tm_trade_lib', // 商标交易
  adminTmSaleDelete: '/admin/tm_trade_warehouse', // 商标交易删除
  /**
   * 业务
   * 商标知产
   * 官微建站
   * ssl
   * @modules/business.js
   */
  adminTmOrder: '/admin/tm_reg', // 商标注册订单
  adminNurseReg: '/admin/tm_agent_reg', // 保姆注册订单
  adminTmApplicant: '/admin/tm_applicant', // 申请人列表
  adminTmService: '/admin/tm_service', // 商标服务
  characterRecognition: '/admin/character_recognition', // 卡证文字识别 TODO 后台没做这个
  adminTmPatent: '/admin/tm_patent', // 商标专利
  adminTmCopyright: '/admin/tm_copyright', // 商标专利
  adminTmInternational: '/admin/tm_international', // 国际商标

  adminTmFile: '/admin/tm_file', // 发文列表
  adminTmFileFetch: '/admin/tm_file_fetch', // 发文索取
  adminTmMonitor: '/admin/tm_monitor', // 商标监控

  adminTransactionCloud: '/admin/tm_trade', // 商标交易
  adminTransactionPlatform: '/admin/tm_trade_local', // 自有商标发布
  adminTransactionHolder: '/admin/tm_trade_holder', // 交易持有人
  /**
   * 官微建站
   */
  adminWebsites: '/admin/websites', // 网站列表
  adminWebsitesDomains: '/admin/website_domains', // 网站域名列表
  adminWebsitesPushes: '/admin/website_pushes', // 网站过户记录列表
  adminGWIcpCodes: '/admin/gw/icp_codes', // 备案码列表
  adminWebsitesDashboard: '/admin/websites/dashboard', // 网站控制面板登录地址
  adminWebsitesClose: '/admin/websites/close', // 网站关闭
  adminWebsitesOpen: '/admin/websites/open', // 网站开启
  adminWebsitesPush: '/admin/websites/push', // 网站过户
  adminWebsitesSync: '/admin/websites/sync', // 网站同步
  adminGWMina: '/admin/gw_applet', // 官微小程序
  /**
   * SSL
   */
  adminSsl: '/admin/ssl',
  /**
   * 云服务器
   */
  adminServer: '/admin/servers',
  /**
   * 云虚拟主机
   */
  adminVhosts: '/admin/vhosts',
  /**
   * 系统升级
   */
  upgradeLocal: '/admin/upgrade/local',
  upgradeCheck: '/admin/upgrade/check',
  upgradeInfo: '/admin/upgrade/info',
  upgradeUpgrade: '/admin/upgrade/upgrade',
  upgradeDownload: '/admin/upgrade/download',

  resources: {
    address: '/assets/address.js'
  }
}
export default api
