import * as common from './modules/common'
let manager = null
let trdemarkManager = null
function Manager(areas) {
  const areas_ = areas
  const maps = areas_.maps
  const datas = areas_.datas

  function getProvince() {
    return maps['86']
  }
  function getCities($province) {
    return maps[$province]
  }
  function getDistrict($city) {
    return maps[$city]
  }

  function getNames($district, result) {
    // eslint-disable-next-line
    result = result || []
    if ($district === '86') return result
    const dis = datas[$district]
    if (!dis) return result
    result.unshift(dis.name)
    return getNames(dis.parent_id, result)
  }
  return {
    getProvince, getCities, getDistrict, getNames
  }
}

function getManager() {
  if (manager) return Promise.resolve().then(function(res) { return manager })
  return common.require('/assets/areas.js', { flat: true }).then(function(areas) {
    // eslint-disable-next-line
    return manager = Manager(areas)
  })
}
function getTrademarkManager() {
  if (trdemarkManager) return Promise.resolve().then(function(res) { return trdemarkManager })
  return common.require('/assets/areasTrademark.js').then(function(areas) {
    // eslint-disable-next-line
    return trdemarkManager = Manager(areas)
  })
}
export default {
  install(Vue) {
    Vue.prototype.$areaManager = { getManager, getTrademarkManager }
  }
}
