/*
 * @Author: fengzg
 * @Date: 2020-06-01 13:47:27
 * @LastEditors: fengzg
 * @LastEditTime: 2020-06-22 18:44:38
 * @FilePath: \vue-admin\src\api\index.js
 * @Description: 将各个模块导出加载
 * @WebSite: https://www.epower.cn/
 */
import * as business from './modules/business'
import * as common from './modules/common'
import * as finance from './modules/finance'
import * as products from './modules/products'
import * as station from './modules/station'
import * as system from './modules/system'
import * as user from './modules/user'
import * as upgrade from './modules/upgrade'
import * as domain from './modules/domain'
import * as promotion from './modules/promotion'

import axios from '../utils/request' // 导入http中创建的axios实例
import qs from 'qs' // 根据需求是否导入qs模块

const service = {
  business,
  common,
  finance,
  products,
  station,
  system,
  user,
  upgrade,
  domain,
  promotion,
  get(url, params, config) {
    url = url.replace(/\?$/, '')
    return axios.get(url + (params ? (url.indexOf('?') === -1 ? '?' : '&') + qs.stringify(params) : ''), config || {})
  },
  post(url, params, config) {
    return axios.post(url, qs.stringify(params), config || {})
  },
  put(url, params, config) {
    return axios.put(url, qs.stringify(params), config || {})
  },
  delete(url, params, config) {
    url = url.replace(/\?$/, '')
    return axios.delete(url + (params ? (url.indexOf('?') === -1 ? '?' : '&') + qs.stringify(params) : ''), config || {})
  }
}
export {
  service
}
export default {
  install(Vue) {
    Vue.prototype.$api = service
  }
}
