/*
 * @Author: fengzg
 * @Date: 2020-06-01 17:19:33
 * @LastEditors: fengzg
 * @LastEditTime: 2020-08-07 22:18:03
 * @FilePath: \vue-admin\src\api\modules\finance.js
 * @Description: 财务管理
 * @WebSite: https://www.epower.cn/
 */
import API from '../api' // 导入接口域名列表
import axios from '@/utils/request' // 导入http中创建的axios实例
import qs from 'qs' // 根据需求是否导入qs模块
/**
 * 审核流程
 * @param {Function} getWorkflow 获取
 * TODO 去除  '&include=administrators'
 * @param {Function} addWorkflow 新增
 * @param {Function} updateWorkflow 修改
 * @param {Function} deleteWorkflow 删除
 */
export function getWorkflow(type) {
  return axios.get(`${API.workflow}` + '?workflow=' + type)
}

export function addWorkflow(params) {
  return axios.post(`${API.workflow}`, qs.stringify(params))
}

export function updateWorkflow(id, params) {
  return axios.put(`${API.workflow}` + '/' + id, qs.stringify(params))
}

export function deleteWorkflow(params) {
  return axios.delete(`${API.workflow}` + '/' + params)
}

/**
 * 入款/扣款
 */
export const getReceiptsList = (params) => { return axios.get(`${API.receipts}`, { params }) }
export const getReceiptsDetail = (params) => { return axios.get(`${API.receipts}` + '/' + params) }
export const postReceipts = (params) => { return axios.post(`${API.receipts}`, qs.stringify(params)) }
export const putReceipts = (id, params) => { return axios.put(`${API.receiptsAudit}/${id}`, qs.stringify(params)) }

/**
 * 提现
 */
export const getWithdrawalList = (query) => { return axios.get(`${API.withdrawals}`, { query }) }
export const getWithdrawalDetail = (id) => { return axios.get(`${API.withdrawals}` + '/' + id) }
export const putWithdrawals = (id, query) => { return axios.put(`${API.withdrawals}/audit/${id}`, qs.stringify(query)) }
/**
 * 发票
 */
export const getInvoiceList = (query) => { return axios.get(`${API.invoices}`, { query }) }
export const getInvoiceDetail = (id) => { return axios.get(`${API.invoices}` + '/' + id) }
export const putInvoices = (id, query) => { return axios.put(`${API.invoices}/audit/${id}`, qs.stringify(query)) }

/**
 * 退款
 */
export const getRefundList = (query) => { return axios.get(`${API.refunds}`, { query }) }
export const getRefundDetail = (id) => { return axios.get(`${API.refunds}` + '/' + id) }
export const putRefunds = (id, query) => { return axios.put(`${API.refunds}/audit/${id}`, qs.stringify(query)) }

export function getBills(params) {
  return axios.get('admin/user_bill', { params })
}

export function getRecharges(params) {
  return axios.get('admin/recharge', { params })
}
export function rechargeConfirm(id, params) {
  return axios.put('admin/recharge/' + id, { params })
}

export function getOrders(params) {
  return axios.get('admin/order', { params })
}
export function getOrdersDetail(id) {
  return axios.get('admin/order/' + id)
}
