
import axios from '@/utils/request' // 导入http中创建的axios实例
import qs from 'qs' // 根据需求是否导入qs模块

export function Get(params) {
  return axios.get('admin/patent_trade_local_lib', { params })
}

export function Detail(id) {
  return axios.get('admin/patent_trade_local_lib/' + id)
}

export function Save(id, params) {
  return axios.put('admin/patent_trade_local_lib/' + id, qs.stringify(params))
}
export function Delete(id) {
  return axios.delete('admin/patent_trade_local_lib/' + id)
}
export function BatchSaveStatus(ids, admin_status) {
  return axios.put('admin/patent_trade_local_lib/batch_update_status', qs.stringify({ ids, admin_status }))
}
export function BatchSaveSort(ids, sort_id) {
  return axios.put('admin/patent_trade_local_lib/batch_update_sort', qs.stringify({ ids, sort_id }))
}
export function BatchDelete(ids) {
  return axios.delete('admin/patent_trade_local_lib/batch_destroy?' + qs.stringify({ ids }))
}

export function OrderGet(params) {
  return axios.get('admin/patent_trade', { params })
}

export function OrderDetail(id) {
  return axios.get('admin/patent_trade/' + id)
}
export function OrderSave(id, params) {
  return axios.put('admin/patent_trade/' + id, qs.stringify(params))
}

export function OrderDelete(id) {
  return axios.delete('admin/patent_trade/' + id)
}

export function ExportUrl(params) {
  return axios.config.baseURL + '/admin/patent_trade/export?' + qs.stringify(params)
}
