/**
 * @Name          : ePower
 * @Author        : zhg
 * @Version       : 1.0.0
 * @Update        : 2020-07-13
 * @direction     : 系统升级
 */
import API from '../api' // 导入接口域名列表
import axios from '../../utils/request' // 导入http中创建的axios实例
function upgradeRequest($url) {
  return axios.get($url, {
    validateStatus: statusCode => !(statusCode >= 400 && statusCode < 500)
  })
}
export function local() {
  return upgradeRequest(API.upgradeLocal)
}
export function check($localVersion, callback) {
  return upgradeRequest(API.upgradeCheck + '/' + $localVersion)
}
export function info($remoteVersion) {
  return upgradeRequest(API.upgradeInfo + '/' + $remoteVersion)
}
export function upgrade($remoteVersion) {
  return upgradeRequest(API.upgradeUpgrade + '/' + $remoteVersion)
}
export function download($remoteVersion) {
  return process.env.VUE_APP_BASE_API + API.upgradeDownload + '/' + $remoteVersion
}
