/*
 * @Author: fengzg
 * @Date: 2019-12-22 18:00:37
 * @LastEditors: fengzg
 * @LastEditTime: 2020-07-28 14:42:20
 * @FilePath: \vue-admin\src\api\modules\user.js
 * @Description:会员管理
 * @WebSite: https://www.epower.cn/
 */
import API from '../api' // 导入接口域名列表
import axios from '@/utils/request' // 导入http中创建的axios实例
import qs from 'qs' // 根据需求是否导入qs模块
/**
 * 会员管理
 * @param {Function} getMembers   获取
 * TODO 去除  + '?include=cs,group'
 * @param {Function} addMember    新增
 * @param {Function} updateMember 修改
 * @param {Function} deleteMember 删除
 */
export function getMembers(params) {
  return axios.get(`${API.member}`, params)
}
export function show(userId) {
  return axios.get(`${API.member}/${userId}`, { validateStatus: (status) => true })
}

export function addMember(params) {
  return axios.post(`${API.member}`, qs.stringify(params))
}

export function updateMember(id, params) {
  return axios.put(`${API.member}` + '/' + id, qs.stringify(params))
}

export function deleteMember(id) {
  return axios.delete(`${API.member}` + '/' + id)
}
export function getAuthRedirect(id) {
  return axios.get('/admin/users/' + id + '/auth_key')
}
/**
 * 会员身份认证审核
 * @param {Function} getAuths         获取会员认证列表
 * @param {Function} getAuthsDetail   获取会员认证详情
 * @param {Function} updateAuth       修改会员认证状态
 */
export function getAuths(params) {
  return axios.get(`${API.auths}`, qs.stringify(params))
}
export function getAuthsDetail(id) {
  return axios.get(`${API.auths}` + '/' + id)
}
export function updateAuth(id, params) {
  return axios.put(`${API.auths}` + '/' + id, qs.stringify(params))
}
