import Dialog from './Dialog'

const DIALOGS = {}

export default function createDialog(Vue, { store = {}, router = {}}, options) {
  const dialogName = options.name || 'default'
  let dialog = DIALOGS.hasOwnProperty(dialogName) ? DIALOGS[dialogName] : null
  if (dialog) {
    dialog.options = {
      ...options
    }

    dialog.$children[0].visible = true
  } else {
    dialog = new Vue({
      name: 'RootDialog',
      router,
      store,
      data() {
        return {
          options: { ...options }
        }
      },
      render(h) {
        return h(Dialog, {
          props: this.options
        })
      }
    })
    dialog.$mount()
    document.body.appendChild(dialog.$el)
  }

  // 暴露close方法
  return {
    close: (name) => {
      if (!name) {
        for (var name_ in DIALOGS) {
          if (!DIALOGS.hasOwnProperty(name_)) continue
          DIALOGS[name_].$children[0].close()
        }
        return
      }
      const dialogName = name || 'default'
      const dialog = DIALOGS.hasOwnProperty(dialogName) ? DIALOGS[dialogName] : null
      dialog.$children[0].close()
    }
  }
}
