import Vue from 'vue'

import 'normalize.css/normalize.css' // A modern alternative to CSS resets

import 'element-ui/lib/theme-chalk/index.css'

import '@/styles/index.less' // global css

import App from './App'
import store from './store'
import router from './router'
import 'viewerjs/dist/viewer.css'
import Viewer from 'v-viewer'

import '@/icons' // icon
import '@/permission' // permission control

import service from './api'
import areas from './api/areas.js'

import utils from './utils'
import components from './components/Global/index'
import iconPicker from './components/vue-fontawesome-elementui-icon-picker'
import messages from './utils/element-ui.js'

Vue.use(messages, { store, router })
Vue.use(iconPicker)

Vue.use(service)

Vue.use(utils)
Vue.config.productionTip = false

Vue.use(Viewer)
Vue.use(areas)

Vue.use(components)

import { getVariables } from '@/api/modules/common'
import { processRoutes } from './router'

getVariables().then(res => {
  store.commit('user/SET_SETTING', res.configs)
  processRoutes()
}).finally(res => {
  new Vue({
    el: '#app',
    router,
    store,
    render: h => h(App)
  })
})
