import router from './router'
import store from './store'
import resolver from '@/router/resolver'

import NProgress from 'nprogress' // progress bar
import 'nprogress/nprogress.css' // progress bar style
NProgress.configure({ showSpinner: false }) // NProgress Configuration

// 运行一个解析器，对路由一个个解析，方便扩展；
function resolveRoutes(route, siblings, level) {
  const children = route.children
  if (!children) return
  for (let i = 0; i < children.length; i++) {
    resolver(children[i], resolveRoutes, children, level + 1)
  }
}
// 路由钩子函数 跳转前执行

let menuLoad = false
router.beforeEach((to, from, next) => {
  NProgress.start()
  if (to.name === 'AdminLogin' || to.name === 'AdminLoginAuth') {
    // 登录页加上去掉最小宽度限制
    document.querySelector('body').style.minWidth = 'auto'
    menuLoad = false
    next()
    NProgress.done()
    return
  }
  document.querySelector('body').style.minWidth = ''
  if (!menuLoad) {
    store.dispatch('permission/getInfo').then((accessRoutes) => {
      for (let i = 0; i < accessRoutes.length; i++) {
        resolver(accessRoutes[i], resolveRoutes, accessRoutes, 1)
      }
      router.addRoutes(accessRoutes)
      menuLoad = true
      next({ ...to, replace: true })
      NProgress.done()
    }).catch(() => {
      next('/')
    })
  } else {
    store.dispatch('permission/setRouterIndex', to)
    next()
  }
})

router.afterEach(() => {
  // finish progress bar
  NProgress.done()
})
