import Vue from 'vue'
import Router from 'vue-router'
import adminRouterData from './modules/admin'

Vue.use(Router)

let prefix = (window['ADMIN_PREFIX'] || 'admin')
if (prefix === '{{ $prefix }}') prefix = 'admin'

const createRouter = () => new Router({
  mode: 'history',
  base: '/' + prefix,
  scrollBehavior: () => ({ y: 0 }),
  routes: []
})

const router = createRouter()

export function resetRouter() {
  const newRouter = createRouter()
  newRouter.addRoutes(adminRouterData)
  router.matcher = newRouter.matcher // reset router
}

export function processRoutes() {
  router.addRoutes(adminRouterData)
}
export default router
