/* Layout */
import Layout from '@/layout/index.vue'
import RedirectIndex from '@/views/redirect/index'
import LoginIndex from '@/views/login/index'
import AdminLoginAuth from '@/views/login/loginAuth'

export default [
  {
    path: '/redirect',
    component: Layout,
    hidden: true,
    children: [
      {
        path: '/redirect/:path*',
        component: RedirectIndex
      }
    ],
    name: 'AdminRedirect'
  },
  {
    path: '/',
    component: LoginIndex,
    hidden: true,
    name: 'AdminLogin'
  },
  {
    path: '/loginAuth',
    component: AdminLoginAuth,
    hidden: true,
    name: 'AdminLoginAuth'
  },
  {
    path: '/index',
    component: Layout,
    redirect: '/home',
    name: 'AdminHome'
  },
  {
    path: '/404',
    component: Layout,
    redirect: '/index',
    name: 'AdminNotFound'
  }
]
