
import ElementUI from 'element-ui'
import ElTableFooter from '@/components/ElTableFooter/install'
import Dialog from '@/components/Dialog/install'
import showAny from '@/components/ShowAny'

export default {
  install(Vue, options) {
    ElementUI.Dialog.props.closeOnClickModal.default = false // 修改 el-dialog 默认点击遮照为不关闭

    Vue.use(ElementUI, { size: 'medium' })

    Vue.prototype.$message = function(msg, options) {
      if (!(typeof msg === 'string')) {
        options = msg
      } else {
        if (!options) {
          options = { duration: 1500 }
        }
        options.message = msg
      }
      return ElementUI.Message(options)
    }
    Vue.prototype.$message.success = function(msg, options) {
      if (!(typeof msg === 'string')) {
        options = msg
      } else {
        if (!options) {
          options = { duration: 800 }
        }
        options.message = msg
      }
      return ElementUI.Message.success(options)
    }
    Vue.prototype.$message.info = function(msg, options) {
      if (!(typeof msg === 'string')) {
        options = msg
      } else {
        if (!options) {
          options = { duration: 1500 }
        }
        options.message = msg
      }
      return ElementUI.Message.info(options)
    }
    Vue.prototype.$message.warning = function(msg) {
      return ElementUI.Message.warning({
        message: msg,
        duration: 1500
      })
    }
    Vue.prototype.$message.error = function(msg) {
      return ElementUI.Message.error({
        message: msg,
        duration: 2000
      })
    }
    Vue.use(ElTableFooter)
    Vue.use(Dialog, options) // 如果没有路由和Vuex，就不传
    Vue.use(showAny)
  }
}
