/*
 * @Author: fengzg
 * @Date: 2020-07-03 18:01:06
 * @LastEditors: fengzg
 * @LastEditTime: 2020-07-31 11:27:03
 * @FilePath: \vue-admin\src\views\setting\global\global.config.js
 * @Description: 全局配置默认表单数据
 * @WebSite: https://www.epower.cn/
 */
const basic = {
  'site_name': '',
  'site_slogan': '',
  'icp_code': '',
  'police_code': '',
  'mobile_terminal_enable': true,
  'company_name': '',
  'company_address': '',
  'service_hotline': '',
  'service_time': '8:30-17:00（工作日）',
  'qq_type': '',
  'personal_qq': '',
  'marketing_qq': '',
  'qq_link': '',
  'aff_link': '',
  'aff_script': '',
  'aff_pc_enable': 0,
  'aff_mobile_enable': 0,
  'app_name': '',
  'site_link': '',
  'email': '',
  'copyright': '',
  'footer_info': '',
  'statistics_code': '',
  'pc_logo': '',
  'pc_pull_logo': '',
  'mobile_logo': '',
  'qr_code_cs': '',
  'qr_code': '',
  'pc_logo_id': 0,
  'pc_pull_logo_id': 0,
  'mobile_logo_id': 0,
  'qr_code_id': 0,
  'qr_code_cs_id': 0,
  'favicon': '',
  'favicon_id': ''
}
const member = {
  sign_up_enable: false, // 是否开启注册，布尔型， 可接受的输入为 true, false, 1, 0, "1", 和 "0"
  sign_up_sms_enable: false, // 是否开启注册短信验证，布尔型， 可接受的输入为 true, false, 1, 0, "1", 和 "0"
  sign_up_detail_enable: false, // 是否开启详细注册，布尔型， 可接受的输入为 true, false, 1, 0, "1", 和 "0"
  login_enable: false, // 是否开启登录，布尔型， 可接受的输入为 true, false, 1, 0, "1", 和 "0"
  login_methods: ['email', 'phone_number', 'username'], // 登录方式 ['email', 'phone_number', 'username']
  // wx_web_login_enable: false, // 是否开启微信登录，布尔型， 可接受的输入为 true, false, 1, 0, "1", 和 "0"
  // wx_web_app_id: '1', // 微信登录 AppID
  // wx_web_app_secret: '1', // 微信登录 AppSecret
  // wx_web_recruit_domain: '1', // 微信登录回调域
  wx_gzh_login_enable: false, // 是否开启公众号登录，布尔型， 可接受的输入为 true, false, 1, 0, "1", 和 "0"
  wx_gzh_app_id: '1', // 公众号 AppID
  wx_gzh_app_secret: '1', // 公众号 AppSecret
  wx_gzh_token: '1', // 公众号 Token
  wx_gzh_ase_key: '1', // 公众号 ASE Key
  qq_login_enable: false, // 是否开启 QQ 登录，布尔型， 可接受的输入为 true, false, 1, 0, "1", 和 "0"
  qq_app_id: '1', // QQ 登录 AppID
  qq_app_key: '1', // QQ 登录 AppKey
  qq_callback: '1', // QQ 回调地址
  work_order_enable: false
}
const finance = {
  invoice_enable: true,
  invoice_handling_fee_percent: 1,
  invoice_postage: 1,
  invoice_real_name_enable: true,
  invoice_rise_real_name_enable: true,
  electronic_invoice_enable: true,
  withdraw_enable: true,
  min_withdraw: 1,
  withdraw_unit: 1,
  withdraw_handling_fee_percent: 1,
  withdraw_real_name_enable: true
}
const notice = {
  mail_host: '',
  mail_port: '',
  mail_encryption: '',
  mail_username: '',
  mail_password: '',
  mail_from_address: '',
  mail_from_name: '',
  sms_channel: '',
  sms_dahan: {
    account_sid: '',
    auth_token: '',
    app_id: ''
  },
  sms_yuntongxun: {
    account_sid: '',
    account_token: '',
    app_id: ''
  }
}
const port = {
  'api_id': '', // 是否开启注册，布尔型， 可接受的输入为 true, false, 1, 0, "1", 和 "0"
  'api_url': '', // 是否开启注册短信验证，布尔型， 可接受的输入为 true, false, 1, 0, "1", 和 "0"
  'api_key': '', // 是否开启详细注册，布尔型， 可接受的输入为 true, false, 1, 0, "1", 和 "0"
  'cnipa_cert_id': '',
  'cnipa_cert_name': '',
  'cnipa_cert_expired_at': ''
}
const product = {
  fawen_jifu_enable: false,
  fawen_jifu_post_fee: '',
  tm_query_limit_enable: true,
  visitor_tm_query_frequency: 2,
  tm_query_captcha_enable: true,
  tm_needs_form_enable: true,
  tm_applicant_privacy_protection_enable: true,
  tm_applicant_privacy_protection_name: '',
  tm_applicant_privacy_protection_phone: '',
  tm_query_limit_ips: '',
  tm_query_limit_areas: '',
  tmt_min_commission_percent: 1,
  patent_min_commission_percent: 1,
  patent_trade_price_user_show_enable: false,
  tmt_auto_sync_enable: false,
  tm_trade_deposit_proportion: 10,
  tm_trade_holder_enable: true,
  tm_trade_price_user_show_enable: false,
  gw_authenticate_enable: 0,
  gw_reserved_domains: '',
  dt_min_commission_percent: 1,
  dt_auto_sync_enable: false,
  server_12_months_discount: 1,
  server_24_months_discount: 1,
  server_36_months_discount: 1,
  exception_ip_notify_types: [],
  vhost_12_months_discount: '',
  vhost_24_months_discount: '',
  vhost_36_months_discount: '',
  vhost_panel_functions: [],
  vhost_db_panel_functions: [],
  saleable_products: [],
  promotion_commission_enable: true,
  promotion_bgi_id: 0,
  promotion_bgi: '',
  promotion_description: '',
  coupon_enable: true,
  coupon_products: [],
  notify_disable_start: '',
  notify_disable_end: ''
}
const recharge = {
  top_up_real_name_enable: true,
  top_up_min: '',
  alipay_page_enable: true,
  alipay_wap_enable: true,
  alipay_pid: '',
  alipay_key: '',
  wxpay_jsapi_enable: true,
  wxpay_mweb_enable: true,
  wxpay_mch_id: '',
  wxpay_mch_key: '',
  wxpay_app_id: '',
  wxpay_app_secret: '',
  manual_pay_enable: true,
  manual_pay_content: ''
}
const safety = {
  web_close_enable: true,
  admin_prefix: '',
  admin_safety_verification_types: ['sms', 'email'],
  pwd_error_max_times: 1,
  limit_ips: ''
}

const vhost_panel_data = [
  'status_manage',
  'upgrade',
  'renew'
]
const saleable_data = [
  'product_tm_ipr',
  'product_tm_trade',
  'product_gw_web',
  'product_mini_program',
  'product_etp_email',
  'product_custom_service',
  'product_domain_reg',
  'product_domain_trade',
  'product_ssl',
  'product_server',
  'product_vhost',
  'product_gw_service',
  'product_sms',
  'product_patent_trade'
]
const coupon_data = [
  'product_tm_ipr',
  'product_tm_trade',
  'product_gw_web',
  'product_mini_program',
  'product_etp_email',
  'product_custom_service',
  'product_domain_reg',
  'product_domain_trade',
  'product_ssl',
  'product_server',
  'product_vhost',
  'product_gw_service',
  'product_sms',
  'product_patent_trade'
]
const form = {
  basic: basic,
  member: member,
  finance: finance,
  notice: notice,
  port: port,
  product: product,
  recharge: recharge,
  safety: safety
}
module.exports = {
  form,
  vhost_panel_data,
  saleable_data,
  coupon_data
}
