const API = {
  /**
   * 通用API
   * @modules/common.js
   */
  token: '/authorizations', // 获取token
  tokenInfo: '/authorizations/current', // 刷新token 删除token token的操作
  userInfo: '/user/users/current', // 根据token 获取用户信息
  users: '/user/users', // 根据token 获取用户信息
  register: '/users', // 注册
  navigations: '/navigations', // 获取导航
  banner: '/banners', // banner
  singlePages: '/single_pages', // 获取单页
  websiteLinks: '/website_links', // 友情链接
  setting: '/settings', // 获取基本信息
  product: '/product', // 获取产品价格

  articles: '/articles', // 资讯 公告
  articleClass: '/article_categories', // 资讯公告分类

  helps: '/helps', // 帮助
  helpsClass: '/help_categories', // 帮助分类

  coupons: '/coupons',

  fileUpload: '/user/attachments', // 文件上传路径
  switchLogin: '/authorizations/auth_login', // 切换登录
  unique: '/users/unique', // 验证手机号、email、用户名 唯一性
  exist: '/users/exist', // 验证手机号、email、用户名 是否存在
  password: '/users/password', // 找回密码 修改密码
  verifyCode: '/captcha', // 验证弹窗图形验证码  mobile:''  captcha:''
  smsCode: '/sms', // 短信验证码
  email: '/email', // 邮件验证码
  epEncrypt: '/ep_encrypt', // 加密字符串
  epDecrypt: '/ep_decrypt', // 解密字符串
  customer: '/customer_service_staffs', // 客服

  xcxPackages: '/xcx/packages', // 小程序套餐
  xcxFunctions: '/xcx/functions', // 功能服务
  /**
   * 产品价格
   */
  price: '/price',
  /**
   * 需求表单
   */
  projectRequirements: '/project_requirements', // 项目需求
  tmQueryRequirements: '/tm_query_requirements', // 商标查询需求提交
  tmPurchaseRequirements: '/tm_purchase_requirements', // 商标购买需求提交

  /**
   * 订单与支付
   */
  createOrder: '/user/payment/order', // 生成订单
  payOrder: '/user/payment/pay', // 支付订单

  /**
   * 商标
   * @modules/tm.js
   */
  tmClass: '/tm/main_class', // 商标大类
  tmClassDetail: '/tm/class', // 商标分类详情列表
  tmClassSearch: '/tm/class_search', // 商标分类搜索
  tmSearch: '/tm/list_search', // 商标查询
  tmCompany: '/tm/company_list_search', // 企业查询
  tmCompanyDetail: '/tm/company_detail_search', // 企业查询详情
  tmDetail: '/tm/detail_search', // 商标详情
  tmImage: '/tm/image_search', // 图片查询
  correct: '/tm/correction', // 商标纠错
  tmNotice: '/tm/schedule_notice', // 商标公告进度
  tmSchedule: '/tm/schedule', // 首页 商标 进度
  tmTrade: '/tm_trade_lib', // 商标交易
  tmTradeExport: '/tm_trade_lib/export', // 商标交易导出
  tmBatch: '/tm/tmids_list_search', // 商标申请号批量查询
  tmService: '/tm_service', // 商标服务列表
  tmPatent: '/tm_patent', // 专利列表
  tmCopyright: '/tm_copyright', // 版权列表
  tmInter: '/tm_international', // 国际商标
  tmForm: '/user/tm_registration', // 商标注册
  tmAgentReg: '/user/tm_agent_reg', // 保姆注册
  delegationFile: '/user/tm_delegation_file', // 委托书
  tmOrder: '/user/tm_reg', // 商标注册订单
  createImage: '/user/tm_create_image', // 生成图样
  applicant: '/user/tm_applicant', // 申请人
  characterRecognition: '/user/character_recognition', // 卡证文字识别
  userTmService: '/user/tm_service', // 商标服务
  userTmPatent: '/user/tm_patent', // 商标专利
  userTmCopyright: '/user/tm_copyright', // 商标专利
  userTmInternational: '/user/tm_international', // 国际商标
  userTmFile: '/user/tm_file', // 发文列表
  userTmFileFetch: '/user/tm_file_fetch', // 发文索取
  userTmMonitor: '/user/tm_monitor', // 商标监控
  userTmTransaction: '/user/tm_trade', // 商标交易
  userTmRelease: '/user/tm_trade_local_lib', // 商标发布
  userTmHolder: '/user/tm_trade_holder', // 交易持有人
  userTmNotarization: '/user/tm_notarization', // 商标公证
  /**
   * 域名模板
   * @modules/domain.js
   */
  userDomainTemplate: '/user/domain_template', // 域名模板
  /**
   * 官微建站
   * @modules/gw.js
   */
  gwTemplateClasses: '/gw/template_classes',
  gwTemplates: '/gw/templates',
  gwBaseDomains: '/gw/base_domains',
  gwWebsites: '/user/websites',
  gwDomains: '/user/website_domains',
  gwIcp: '/user/gw/icp_codes',
  /**
   * 企业邮箱
   */
  etpEmails: '/user/etp_emails',
  /**
   * 财务
   * @modules/finance.js
   */
  order: '/user/order', // 用户中心总订单
  invoice: '/user/invoice', // 发票
  invoiceTemplate: '/user/invoice_template', // 发票模板
  /**
   * 账户管理
   * @modules/account.js
   */
  userAddress: '/user/user_address', // 收货地址
  log: '/user/user_log', // 日志
  userVerify: '/user/user_auths',
  /**
   * 在线推广
   * @modules/promote.js
   */
  commissionRule: '/user/commission', // 佣金规则
  commissionLog: '/user/commission_log', // 佣金明细列表
  promoteOffline: '/user/promote_offline', // 下线用户
  promoteDeposit: '/user/promote_deposit', // 入款
  /**
   * 云服务器
   */
  nyServers: '/user/ny_servers', // 云服务器
  nyServersSnapshots: '/user/snapshots', // 云服务器快照
  /**
   * 云虚拟主机
   */
  nyVhosts: '/user/ny_vhosts', // 云虚拟主机
  nyVhostDbs: '/user/ny_vhost_dbs', // 云虚拟主机数据库
  vhostsPackages: '/vhost/packages', // 虚机套餐
  /**
   * 小程序
   */
  miniPrograms: '/user/mini_programs',
  /**
   * SSL证书
   */
  ssl: '/ssl',
  sslTag: '/ssl/tag',
  sslPrice: '/ssl/get_price',
  userSsl: '/user/ssl',
  userSslEmail: '/user/ssl/get_dom_app_emails',
  /**
   * 微信-公众号
   */
  wechat: '/wechat/qr_code'
}

export default API
