/*
 * @Author: fengzg
 * @Date: 2020-01-14 15:35:08
 * @LastEditors: fengzg
 * @LastEditTime: 2020-05-12 10:01:37
 * @FilePath: \vue-complete\src\api\modules\common\captcha.js
 * @Description: 验证码
 * @WebSite: https://www.epower.cn/
 */

import API from '../../api'
import axios from '@/utils/request' // 导入http中创建的axios实例
import qs from 'qs' // 根据需求是否导入qs模块

/**
 * @param {Function} getCode 获取图形验证码
 * @param {Function} verifyCode 验证图形验证码
 * @param {Function} getEmailCode 邮件验证码
 * @param {Function} verifyEmail 验证邮件验证码
 * @param {Function} getSms 获取短信验证码
 * @param {Function} verifySms 验证短信验证码
 */
export function getCode() {
  return axios.post(`${API.verifyCode}`)
}
export function verifyCode(params) {
  return axios.get(`${API.verifyCode}`, params)
}
export function getSms(params) {
  return axios.post(`${API.smsCode}`, qs.stringify(params))
}
export function verifySms(params) {
  return axios.get(`${API.smsCode}`, params)
}

export function getEmailCode(params) {
  return axios.post(`${API.email}`, qs.stringify(params))
}

export function verifyEmail(params) {
  return axios.get(`${API.email}`, params)
}
