/*
 * @Author: fengzg
 * @Date: 2020-05-11 17:22:03
 * @LastEditors: fengzg
 * @LastEditTime: 2020-07-28 10:38:28
 * @FilePath: \vue-complete\src\api\modules\home\article.js
 * @Description: 资讯公告
 * @WebSite: https://www.epower.cn/
 */
import API from '../../api'
import axios from '@/utils/request' // 导入http中创建的axios实例
// import qs from 'qs' // 根据需求是否导入qs模块

/**
 * @param {Function} getIndexArticle  首页资讯公告
 * @param {Function} getArticle       列表
 * @param {Function} getArticleClass  分类
 * @param {Function} getArticleDetail 详情
 */
export function getIndexArticle(type) {
  return axios.get(`${API.articles}` + '/latest?class=' + type)
}
export function getArticle(id, classify) {
  return axios.get(`${API.articles}` + '/index?category_id=' + id + '&class=' + classify)
}
export function getArticleClass(type) {
  return axios.get(`${API.articleClass}` + '?class=' + type)
}
export function getArticleDetail(id) {
  return axios.get(`${API.articles}` + '/' + id)
}

/**
 * @param {Function} getIndexHelp 首页资讯公告
 * @param {Function} getHelp      列表
 * @param {Function} getHelpClass 分类
 */
export function getIndexHelps() {
  return axios.get(`${API.helps}` + '/latest')
}
export function getHelps(params) {
  return axios.get(`${API.helps}` + '/index', params)
}
export function getHelpsClass() {
  return axios.get(`${API.helpsClass}`)
}
export function getHelpsDetail(params) {
  return axios.get(`${API.helps}` + '/' + params)
}
