import overlay from './overlay.vue'
export default {
  install(Vue) {
    Vue.prototype.$appendComponent = function(component, props) {
      const overlay = new Vue({
        data() {
          return {
            options: { ...props }
          }
        },
        render(h) {
          const vnode = h(component, {
            props: this.options.props
          })

          let listeners = vnode.componentOptions.listeners

          if (!listeners) {
            listeners = {}
            vnode.componentOptions.listeners = listeners
          }
          listeners.done = (datas) => {
            overlay.$destroy()
            overlay.$el.parentNode.removeChild(overlay.$el)
            if (this.options.done) this.options.done(datas)
          }
          listeners.close = () => {
            overlay.$destroy()
            overlay.$el.parentNode.removeChild(overlay.$el)
            if (this.options.close) this.options.close()
          }
          return vnode
        }
      })
      overlay.$mount()
      document.body.appendChild(overlay.$el)
      return {
        close: () => overlay.$destroy()
      }
    }
    Vue.prototype.$overlay = function(props) {
      const overlay_ = new Vue({
        render(h) {
          const vnode = h(overlay, {
            props: props.props
          })
          let listeners = vnode.componentOptions.listeners

          if (!listeners) {
            listeners = vnode.componentOptions.listeners = {}
          }
          listeners.done = (datas) => {
            overlay_.$destroy()
            overlay_.$el.parentNode.removeChild(overlay_.$el)
            if (props.done) props.done(datas)
          }
          listeners.close = () => {
            overlay_.$destroy()
            overlay_.$el.parentNode.removeChild(overlay_.$el)
            if (props.close) props.close()
          }
          return vnode
        }
      })
      overlay_.$mount()
      document.body.appendChild(overlay_.$el)
      return {
        close: () => {
          overlay_.$destroy()
          overlay_.$el.parentNode.removeChild(overlay_.$el)
        }
      }
    }
  }
}
