import router from '../router'

export default {
  install(Vue) {
    Vue.directive('link', {
      inserted: function(el, binding, vnode, oldVnode) {
        if (!binding.value) return
        el.onclick = function() {
          let pushData = null
          if (typeof binding.value === 'string') {
            // 针对完整链接做判断
            if (binding.value.indexOf('http:') !== -1 || binding.value.indexOf('https:') !== -1) {
              window.location = binding.value
              return
            }
            if (binding.value && binding.value.substr(0, 1) !== '/') {
              pushData = { name: binding.value }
            } else {
              pushData = binding.value
            }
          } else {
            pushData = { name: binding.value.to }
            binding.value.query && (pushData['query'] = binding.value.query)
            binding.value.params && (pushData['params'] = binding.value.params)
          }
          if (!pushData) return
          if (el.hasAttribute('use-location')) {
            window.location = router.resolve(pushData).href
            return
          }

          if (el.hasAttribute('open-new')) {
            window.open(router.resolve(pushData).href)
            return
          }
          router.push(pushData)
        }
      },
      unbind: function(el, binding, vnode, oldVnode) {
        el.onclick = null
      }
    })
  }
}
