import router from './router'
import store from './store'
// import { service } from './api'

import { CanShowFooter, CanShowHeader, IsHome } from './router/canShow'
import { setTitle } from './utils'
const resolvers = {
  'Trademark': () => { store.getters.PRODUCTS_ZHUCE },
  'TrademarkForm': () => { store.getters.PRODUCTS_ZHUCE + '订单' },
  'TrademarkBaomu': () => { store.getters.PRODUCTS_ZHUCEBM },
  'TrademarkBaomuOrder': () => { store.getters.PRODUCTS_ZHUCEBM + '订单' },
  'UserTrademarkNormal': () => { store.getters.PRODUCTS_ZHUCE + '列表' },
  'UserTrademarkNormalDetail': () => { store.getters.PRODUCTS_ZHUCE + '详情' },
  'UserTrademarkBaomu': () => { store.getters.PRODUCTS_ZHUCEBM + '列表' }
}

router.beforeEach(async(to, from, next) => {
  if (!to.meta) to.meta = {}
  to.meta['locationFrom'] = from.name
  const titleMaps = store.getters.titleMaps
  let title = (to.meta && to.meta.title) ? to.meta.title : ''
  if (resolvers.hasOwnProperty(to.name)) {
    title = resolvers[to.name]()
  }
  if (titleMaps) {
    if (titleMaps.hasOwnProperty(to.path)) {
      title = titleMaps[to.path]
    }
  }

  setTitle(title)
  store.commit('layout/SET_STATUS', {
    isHome: to.path === '/' || IsHome(to),
    showHeader: CanShowHeader(to),
    showFooter: CanShowFooter(to),
    isBlank: to.meta && to.meta.isBlank === true
  })
  if (to.meta && to.meta.hoverNav) {
    store.commit('layout/SET_SELECTED_NAV', to.meta.hoverNav)
  } else {
    store.commit('layout/SET_SELECTED_NAV', '')
  }

  // if (to.name === 'UserIndex' && !store.getters.userInfo) {
  //   return next('/login?redirect=' + to.path)
  // }
  next()
})
