
import NewsList from '../../views/news/index'
import NewsDetail from '../../views/news/detail'
import EpowerHome from '../../views/index/index'
import HelpsList from '../../views/helps/index'
import HelpsDetail from '../../views/helps/detail'
import Query from '../../views/index/query'
import Service from '../../views/index/service'
import NotFound from '../../views/404'
import { deepClone } from '../../utils/index'
import buyShortMessage from '../../views/sms/index'


const routes = [
  { path: '/', component: EpowerHome, name: 'EpowerHome', meta: { title: '首页', isHome: true, hoverNav: 'home' }},
  { path: '/cs', component: Service, name: 'Service', meta: { title: '所有服务', hoverNav: 'service' }},
  { path: '/query', component: Query, name: 'Query', meta: { title: '免费查询', hoverNav: 'query' }},
  { path: '/sms', component: buyShortMessage, name: 'buyShortMessage', meta: { title: '购买短信套餐', hideFooter: true }},

  { path: '/notices', component: deepClone(NewsList), name: 'NoticeList', meta: { title: '公告通知' }},

  { path: '/notices/detail', component: deepClone(NewsDetail), name: 'NoticeDetailHack', meta: { title: '公告通知详情' }},

  { path: '/notices/:id.html', component: deepClone(NewsDetail), name: 'NoticeDetail', meta: { title: '公告通知详情' }},

  { path: '/news', component: NewsList, name: 'NewsList', meta: { title: '新闻资讯' }},

  { path: '/news/detail', component: deepClone(NewsDetail), name: 'NewsDetailHack', meta: { title: '新闻详情' }},

  { path: '/news_:id.html', component: deepClone(NewsDetail), name: 'NewsDetailA', meta: { title: '新闻详情' }},
  { path: '/news/:id.html', component: deepClone(NewsDetail), name: 'NewsDetail', meta: { title: '新闻详情' }},
  { path: '/news/:id', component: deepClone(NewsDetail), name: 'NewsDetailId', meta: { title: '新闻详情' }},

  { path: '/help', component: HelpsList, name: 'HelpsList', meta: { title: '帮助中心' }},
  { path: '/help/detail', component: deepClone(HelpsDetail), name: 'HelpsDetailHack', meta: { title: '帮助详情' }},
  { path: '/help/:type/:id.html', component: deepClone(HelpsDetail), name: 'HelpsDetail', meta: { title: '帮助详情' }},
  

  { path: '*', component: NotFound, meta: { hiddenHF: true, title: '页面不存在' }}
]
export default routes
