
import Domain from '../../views/domain'
import DomainReg from '../../views/domain/register'
import DomainWhois from '../../views/domain/whois'
import DomainQueryResult from '../../views/domain/query/result'
import DomainQueryBatch from '../../views/domain/query/batch'
import DomainQuerySearch from '../../views/domain/query/search'
import DomainQuerySingle from '../../views/domain/query/single'
import DomainTradeDetail from '../../views/domain/trade/detail'
import DomainTradePackageDetail from '../../views/domain/trade/package-detail.vue'

import DomainTradeIndex from '../../views/domain/trade/index'
import DomainTradeBuy from '../../views/domain/trade/buy'
import DomainTradeTags from '../../views/domain/trade/jingpin'
import { deepClone } from '../../utils'

const routes = [
  { path: '/domain', component: Domain, name: 'DomainIndex', meta: { title: '域名注册' }},
  { path: '/domain/reg', component: DomainReg, name: 'DomainReg', meta: { title: '域名注册', hideFooter: true }},
  { path: '/domain/query/result', component: DomainQueryResult, name: 'DomainQueryResult', meta: { title: '域名查询结果', hideFooter: true }},
  { path: '/domain/whois', component: DomainWhois, name: 'DomainWhois', meta: { title: '域名WHOIS' }},
  { path: '/domain/batchregistered', component: DomainQueryBatch, name: 'DomainQueryBatch', meta: { title: '域名批量查询', hideFooter: true }},
  { path: '/domain/aptitude', component: DomainQuerySearch, name: 'DomainQuerySearch', meta: { title: '品牌自制查询', hideFooter: true }},
  { path: '/domain/detail', component: DomainQuerySingle, name: 'DomainQuerySingleByType', meta: { title: '域名详细信息', hideFooter: true }},
  { path: '/ymjy', redirect: '/domain/jiaoyi' },
  { path: '/domain/package-detail', component: DomainTradePackageDetail, name: 'DomainTradePackageDetail', meta: { title: '打包域名列表', hideFooter: true }},
  { path: '/domain/detail/:identity', component: DomainQuerySingle, name: 'DomainQuerySingle', meta: { title: '域名详细信息', hideFooter: true }},
  { path: '/domain/jiaoyi', component: DomainTradeIndex, name: 'DomainTradeIndex', meta: { title: '域名交易' }},
  { path: '/domain/sale', component: deepClone(DomainTradeIndex), name: 'DomainTradeAllIndex', meta: { title: '域名交易' }},
  { path: '/domain/jiaoyidetail/:dmid.html', component: deepClone(DomainTradeDetail), name: 'DomainTradeDetailStatic', meta: { title: '域名交易详细信息', hideFooter: true }},
  { path: '/domain/jiaoyidetail', component: DomainTradeDetail, name: 'DomainTradeDetail', meta: { title: '域名交易详细信息', hideFooter: true }},
  { path: '/domain/jingpin/detail', component: deepClone(DomainTradeDetail), name: 'DomainTradeJingpinDetail', meta: { title: '域名交易详细信息', hideFooter: true }},
  { path: '/domain/buy/:identity', component: DomainTradeBuy, name: 'DomainTradeBuy', meta: { title: '购买域名', hideFooter: true }},
  { path: '/domain/jingpin', component: DomainTradeTags, name: 'DomainTradeTags', meta: { title: '精品域名', hideFooter: true }}
]
export default routes
