
const routes = [
  { path: '/user/cloud', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/cloud/index'), name: 'UserCloudIndex', meta: { title: '云计算', hideFooter: true }},
  { path: '/user/server', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/cloud/server'), name: 'UserCloudServer', meta: { title: '云服务器', hideFooter: true }},
  { path: '/user/server/detail/:id', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/cloud/server-detail'), name: 'UserCloudServerDetail', meta: { title: '云服务器详情', hideFooter: true }},

  { path: '/user/server/renew/:id', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/cloud/server-renew'), name: 'UserCloudServerRenew', meta: { title: '云服务器续费', hideFooter: true }},
  { path: '/user/server/upgrade/:id', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/cloud/server-upgrade'), name: 'UserCloudServerUpgrade', meta: { title: '云服务器升级', hideFooter: true }},

  { path: '/user/server/snapshots', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/cloud/snapshots/index'), name: 'UserCloudServerSnapshotsIndex', meta: { title: '云服务器快照', hideFooter: true }},
  { path: '/user/server/snapshots/create', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/cloud/snapshots/create'), name: 'UserCloudServerSnapshotsCreate', meta: { title: '拍摄快照', hideFooter: true }},
  { path: '/user/server/snapshots/renew', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/cloud/snapshots/renew'), name: 'UserCloudServerSnapshotsRenew', meta: { title: '续费快照', hideFooter: true }},

  { path: '/user/host', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/cloud/host'), name: 'UserCloudHost', meta: { title: '云虚拟主机', hideFooter: true }},
  { path: '/user/host/detail/:id', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/cloud/host-detail'), name: 'UserCloudHostDetail', meta: { title: '云虚拟主机详情', hideFooter: true }},
  { path: '/user/host/renew/:id', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/cloud/host-renew'), name: 'UserCloudHostRenew', meta: { title: '云虚拟主机续费', hideFooter: true }},
  { path: '/user/host/upgrade/:id', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/cloud/host-upgrade'), name: 'UserCloudHostUpgrade', meta: { title: '云虚拟主机升级', hideFooter: true }},

  { path: '/user/etpemail', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/cloud/email'), name: 'UserCloudEmail', meta: { title: '企业邮局', hideFooter: true }},
  { path: '/user/etpemail/view/:id', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/cloud/email-detail'), name: 'UserCloudEmailDetail', meta: { title: '企业邮局详情', hideFooter: true }},
  { path: '/user/etpemail/modify', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/cloud/email-modify'), name: 'UserCloudEmailModify', meta: { title: '自定义企业邮局', hideFooter: true }},
  { path: '/user/etpemail/expand/:id', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/cloud/email-expand'), name: 'UserCloudEmailExpand', meta: { title: '邮箱扩容', hideFooter: true }},
  { path: '/user/etpemail/modify/:id', component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/cloud/email-renew'), name: 'UserCloudEmailRenew', meta: { title: '邮箱续费', hideFooter: true }}

]
export default routes
