
const routes = [
  { path: '/user/domains_index', component: () => import(/* webpackChunkName: 'uc-domain' */ '@/views/user/domain/index'), name: 'UserDomainIndex', meta: { title: '域名服务', hideFooter: true }},
  { path: '/user/domains', component: () => import(/* webpackChunkName: 'uc-domain' */ '@/views/user/domain/list'), name: 'UserDomainList', meta: { title: '我的域名', hideFooter: true }},
  { path: '/user/domains/renew/:id', component: () => import(/* webpackChunkName: 'uc-domain' */ '@/views/user/domain/renew'), name: 'UserDomainRenew', meta: { title: '域名续费', hideFooter: true }},
  { path: '/user/domains/view/:id', component: () => import(/* webpackChunkName: 'uc-domain' */ '@/views/user/domain/view'), name: 'UserDomainView', meta: { title: '域名详情', hideFooter: true }},
  { path: '/user/domains/push', component: () => import(/* webpackChunkName: 'uc-domain' */ '@/views/user/domain/push/push'), name: 'UserDomainPushIndex', meta: { title: '域名PUSH', hideFooter: true }},
  { path: '/user/domains/push/sent', component: () => import(/* webpackChunkName: 'uc-domain' */ '@/views/user/domain/push/sent'), name: 'UserDomainPushSent', meta: { title: '发起的PUSH', hideFooter: true }},
  { path: '/user/domains/push/received', component: () => import(/* webpackChunkName: 'uc-domain' */ '@/views/user/domain/push/received'), name: 'UserDomainPushReceived', meta: { title: '收到的PUSH', hideFooter: true }},
  { path: '/user/domains/modify', component: () => import(/* webpackChunkName: 'uc-domain' */ '@/views/user/domain/modify'), name: 'UserDomainModify', meta: { title: '域名过户', hideFooter: true }},
  { path: '/user/domains/transferin', component: () => import(/* webpackChunkName: 'uc-domain' */ '@/views/user/domain/transfer/transfer-in'), name: 'UserDomainTransferIn', meta: { title: '域名转入', hideFooter: true }},
  { path: '/user/domains/transferin-form', component: () => import(/* webpackChunkName: 'uc-domain' */ '@/views/user/domain/transfer/transfer-in-form'), name: 'UserDomainTransferInForm', meta: { title: '域名转入', hideFooter: true }},
  { path: '/user/domains/transferout', component: () => import(/* webpackChunkName: 'uc-domain' */ '@/views/user/domain/transfer/transfer-out'), name: 'UserDomainTransferOut', meta: { title: '域名转出', hideFooter: true }},
  { path: '/user/domains/transferout-form', component: () => import(/* webpackChunkName: 'uc-domain' */ '@/views/user/domain/transfer/transfer-out-form'), name: 'UserDomainTransferOutForm', meta: { title: '域名转出', hideFooter: true }},
  { path: '/user/contactor', component: () => import(/* webpackChunkName: 'uc-domain' */ '@/views/user/domain/contactor/index'), name: 'UserDomainContactor', meta: { title: '域名联系人', hideFooter: true }},
  { path: '/user/contactor/edit/:id', component: () => import(/* webpackChunkName: 'uc-domain' */ '@/views/user/domain/contactor/edit'), name: 'UserDomainContactorEdit', meta: { title: '编辑域名联系人', hideFooter: true }},
  { path: '/user/contactor/add', component: () => import(/* webpackChunkName: 'uc-domain' */ '@/views/user/domain/contactor/edit'), name: 'UserDomainContactorAdd', meta: { title: '添加域名联系人', hideFooter: true }},
  { path: '/user/contactor/view/:id', component: () => import(/* webpackChunkName: 'uc-domain' */ '@/views/user/domain/contactor/view'), name: 'UserDomainContactorView', meta: { title: '查看域名联系人', hideFooter: true }},
  { path: '/user/ymjy/publishList', component: () => import(/* webpackChunkName: 'uc-domain' */ '@/views/user/domain/trade/index'), name: 'UserDomainTrade', meta: { title: '我发布的域名', hideFooter: true }},
  { path: '/user/ymjy/publish/', component: () => import(/* webpackChunkName: 'uc-domain' */ '@/views/user/domain/trade/publish'), name: 'UserDomainTradePublish', meta: { title: '发布域名', hideFooter: true }},
  { path: '/user/ymjy/edit', component: () => import(/* webpackChunkName: 'uc-domain' */ '@/views/user/domain/trade/edit'), name: 'UserDomainTradeEdit', meta: { title: '修改域名交易', hideFooter: true }}
]
export default routes
