
const routes = [
  {
    path: '/user/website',
    component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/jianzhan/index.vue'),
    name: 'UserWebsite',
    meta: { title: '用户中心-建站列表', hideFooter: true }
  },
  {
    path: '/user/website/domainList/:id',
    component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/jianzhan/domain.vue'),
    name: 'UserWebsiteDomain',
    meta: { title: '绑定域名列表', hideFooter: true }
  },
  {
    path: '/user/domainAdd/order',
    component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/jianzhan/bind-domain.vue'),
    name: 'BindDomain',
    meta: { title: '增加绑定域名', hideFooter: true }
  },
  {
    path: '/user/website/domainAdd/:id',
    component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/jianzhan/bind-domain-num.vue'),
    name: 'BindDomainNum',
    meta: { title: '增加绑定域名数量', hideFooter: true }
  },
  {
    path: '/user/website/icpcodeList/:id',
    component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/jianzhan/icp.vue'),
    name: 'UserWebsiteIcp',
    meta: { title: 'ICP列表', hideFooter: true }
  },
  {
    path: '/user/website/icpcodeAdd/:id',
    component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/jianzhan/icp-order.vue'),
    name: 'UserWebsiteIcpOrder',
    meta: { title: '备案码订单', hideFooter: true }
  },
  {
    path: '/user/website/copyright/:id',
    component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/jianzhan/copyright-order.vue'),
    name: 'UserWebsiteCopyRightOrder',
    meta: { title: '去版权', hideFooter: true }
  },
  {
    path: '/user/website/renew',
    component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/jianzhan/renew.vue'),
    name: 'UserWebsiteRenew',
    meta: { title: '网站续费', hideFooter: true }
  },
  {
    path: '/user/upgrade',
    component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/jianzhan/upgrade.vue'),
    name: 'UserWebsiteUpgrade',
    meta: { title: '网站升级', hideFooter: true }
  },
  {
    path: '/user/website/service',
    component: () => import(/* webpackChunkName: 'uc-cloud' */ '@/views/user/jianzhan/service.vue'),
    name: 'UserWebsiteService',
    meta: { title: '网站服务', hideFooter: true }
  }
]
export default routes
