
const routes = [
  {
    path: '/user/trademark',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark/index'),
    name: 'UserTrademark',
    meta: { title: '商标知产', hideFooter: true }
  },
  {
    path: '/user/tmApplyerManage',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark/applicant'),
    name: 'UserTrademarkApplicant',
    meta: { title: '商标申请人列表', hideFooter: true }
  },

  {
    path: '/user/tmApplyerManage/show/:id',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark/applicant/show'),
    name: 'UserTrademarkApplicantShow',
    meta: { title: '查看商标申请人', hideFooter: true }
  },
  {
    path: '/user/tmApplyerManage/add',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark/applicant/edit'),
    name: 'UserTrademarkApplicantAdd',
    meta: { title: '添加商标申请人', hideFooter: true }
  },
  {
    path: '/user/tmApplyerManage/edit/:id',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark/applicant/edit'),
    name: 'UserTrademarkApplicantEdit',
    meta: { title: '修改商标申请人', hideFooter: true }
  },
  {
    path: '/user/tmManage',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark/normal/index'),
    name: 'UserTrademarkNormal',
    meta: { title: '自助注册列表', hideFooter: true }
  },
  {
    path: '/user/tmManage/show/:id',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark/normal/detail'),
    name: 'UserTrademarkNormalDetail',
    meta: { title: '自助注册详情', hideFooter: true }
  },
  {
    path: '/user/tmManage/baomuList',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark/baomu/index'),
    name: 'UserTrademarkBaomu',
    meta: { title: '保姆注册列表', hideFooter: true }
  },
  {
    path: '/user/tmStatusManage',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark/monitor/index.vue'),
    name: 'UserTrademarkMonitor',
    meta: { title: '商标监控列表', hideFooter: true }
  },
  {
    path: '/user/tmServicesManage',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark/service/index.vue'),
    name: 'UserTrademarkService',
    meta: { title: '商标服务列表', hideFooter: true }
  },
  {
    path: '/user/tmServicesManage/:id',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark/service/show.vue'),
    name: 'UserTrademarkServiceShow',
    meta: { title: '商标服务订单', hideFooter: true }
  },
  {
    path: '/user/tmServicesPatent',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark/patent/index.vue'),
    name: 'UserTrademarkPatent',
    meta: { title: '专利服务列表', hideFooter: true }
  },
  {
    path: '/user/tmServicesCopyright',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark/copyright/index.vue'),
    name: 'UserTrademarkCopyright',
    meta: { title: '版权服务列表', hideFooter: true }
  },
  {
    path: '/user/tminter',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark/international/index.vue'),
    name: 'UserTrademarkInternational',
    meta: { title: '国际商标服务列表', hideFooter: true }
  },
  {
    path: '/user/tmFiles/index',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark/file/index.vue'),
    name: 'UserTrademarkFile',
    meta: { title: '发文列表', hideFooter: true }
  },
  {
    path: '/user/tmFiles/claim',
    component: () => import(/* webpackChunkName: 'uc-trademark' */ '../../../views/user/trademark/file/claim.vue'),
    name: 'UserTmFileClaim',
    meta: {
      title: '发文索取', hideFooter: true
    }
  }
]
export default routes
