
const state = {
  isHome: true,
  showHeader: true,
  showFooter: true,
  isBlank: false,
  selectedNav: 'home',
  userInfo: null,
  configs: {},
  jsticket: null,
  banners: [],
  openInfo: null,
  titleMaps: null,
  tmQueryVerified: false,
  PRODUCTS_ZHUCE: '自助注册',
  PRODUCTS_ZHUCEBM: '保姆注册',
  PRODUCTS_ZHUCEDB: '担保注册'
}

const mutations = {
  SET_TITLE_MAPS: (state, val) => {
    state.titleMaps = val
  },
  SET_JS_TICKET: (state, val) => {
    state.jsticket = val
  },
  SET_OPEN_INFO: (state, val) => {
    state.openInfo = val
  },
  SET_TM_PRODUCT: (state, products) => {
    if (products && products['zhuce']) {
      state.PRODUCTS_ZHUCE = products['zhuce']['name']
    }
    if (products && products['zhucebm']) {
      state.PRODUCTS_ZHUCEBM = products['zhucebm']['name']
    }
    if (products && products['zhucedb']) {
      state.PRODUCTS_ZHUCEDB = products['zhucedb']['name']
    }
  },
  SET_STATUS: (state, val) => {
    state.showHeader = val.showHeader
    state.showFooter = val.showFooter
    state.isHome = val.isHome
    state.isBlank = val.isBlank
  },
  SET_SELECTED_NAV: (state, data) => {
    state.selectedNav = data
  },
  SET_USER_INFO: (state, data) => {
    state.userInfo = data || null
  },
  SET_BANNERS: (state, data) => {
    state.banners = data
  },
  SET_CONFIGS: (state, data) => {
    var personal_qq = data['basic']['personal_qq']
    var market = data['basic']['qq_link'] // 营销qq的链接
    var qqType = data['basic']['qq_type'] // 客服QQ类型
    var qqLink =
        qqType === 'personal'
          ? 'http://wpa.qq.com/msgrd?v=3&uin=' + personal_qq + '&site=qq&menu=yes'
          : market
    data['basic']['qq_link'] = qqLink
    state.configs = data
  },
  SET_TM_QUERY_VERIFIED: (state, data) => {
    state.tmQueryVerified = data
  }
}

const actions = {
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}

