export function IQuery(src) {
  const src_ = src.slice(0)
  let len = src_.length
  let position = 0
  const ins_ = {}
  const selecteds = []

  function select(fn) {
    selecteds.push(fn)
    return ins_
  }
  function invokeSelect() {
    let fn = null
    while (selecteds.length > 0) {
      fn = selecteds.shift()
      for (let i = 0; i < len; i++) {
        src_[i] = fn.call(src_, src_[i], i)
      }
    }
  }
  function invokeSelectElement(e) {
    for (let i = 0; i < selecteds.length; i++) {
      src_[e] = selecteds[i].call(src_, src_[e], e)
    }
  }
  function toDictionary(fn, fn2) {
    invokeSelect()
    const result = {}
    for (let i = 0; i < len; i++) {
      result[fn.call(src_, src_[i], i)] = fn2 ? fn2.call(src_, src_[i], i) : src_[i]
    }
    return result
  }
  function where(fn) {
    for (let i = len - 1; i >= 0; i--) {
      invokeSelectElement(i)
      if (fn.call(src_, src_[i], i) === false) {
        src_.splice(i, 1)
      }
    }
    len = src_.length
    selecteds.length = 0
    return ins_
  }
  function count() {
    return len
  }
  function take(c) {
    invokeSelect()
    return IQuery(src_.slice(position, position + c))
  }
  function skip(c) {
    position = c
    return ins_
  }
  function contains(v) {
    invokeSelect()
    return index(v) >= 0
  }
  function index(v) {
    invokeSelect()
    for (let i = 0; i < len; i++) {
      if (src_[i] === v) return i
    }
    return -1
  }
  function value() {
    invokeSelect()
    return src_
  }

  ins_.select = select
  ins_.where = where
  ins_.count = count
  ins_.take = take
  ins_.skip = skip
  ins_.toArray = ins_.value = value
  ins_.toDictionary = toDictionary
  ins_.index = index
  ins_.contains = contains
  return ins_
}

