/*
 * @Author: fengzg
 * @Date: 2020-06-01 13:47:27
 * @LastEditors: fengzg
 * @LastEditTime: 2020-10-23 14:29:03
 * @FilePath: \vue-center\src\api\index.js
 * @Description: 将各个模块导出加载
 * @WebSite: https://www.epower.cn/
 */
// common
import * as common from './modules/common'
// user
import * as account from './modules/account'
import * as etp from './modules/etp-emails'
import * as finance from './modules/finance'
import * as mini from './modules/mini'
import * as cloud from './modules/cloud'
import * as promote from './modules/promote'
import * as websites from './modules/websites'
import * as ssl from './modules/ssl'
import * as tm from './modules/tm'
import * as domain from './modules/domain'
import * as businessTax from './modules/business-tax'
import * as coupon from './modules/coupon'
import * as xcx from './modules/xcx'
import axios from '../utils/request' // 导入http中创建的axios实例
import qs from 'qs' // 根据需求是否导入qs模块

export default {
  install(Vue) {
    Vue.prototype.$api = {
      common,
      domain,
      cloud,
      businessTax,
      coupon,
      tm,
      ssl,
      mini,
      account,
      promote,
      websites,
      finance,
      etp,
      xcx,
      get(url, params, config) {
        url = url.replace(/\?$/, '')
        return axios.get(url + (params ? (url.indexOf('?') === -1 ? '?' : '&') + qs.stringify(params) : ''), config || {})
      },
      post(url, params, config) {
        return axios.post(url, qs.stringify(params), config || {})
      },
      put(url, params, config) {
        return axios.put(url, qs.stringify(params), config || {})
      },
      delete(url, params, config) {
        url = url.replace(/\?$/, '')
        return axios.delete(url + (params ? (url.indexOf('?') === -1 ? '?' : '&') + qs.stringify(params) : ''), config || {})
      }
    }
  }
}
