/*
 * @Author: fengzg
 * @Date: 2020-01-14 15:35:08
 * @LastEditors: fengzg
 * @LastEditTime: 2020-09-16 10:20:02
 * @FilePath: \vue-center\src\api\modules\account.js
 * @Description: 账户管理
 */
import axios from '@/utils/request' // 导入http中创建的axios实例
import qs from 'qs' // 根据需求是否导入qs模块
const API = {
  userAddress: '/user/user_address', // 收货地址
  log: '/user/user_log', // 日志
  userVerify: '/user/user_auths',
  email: '/user/security/email_modify',
  phone: '/user/security/phone_modify',
  wechatUnbound: '/user/security/wechat_unbound',
  qqUnbound: '/user/security/qq_unbound'
}
/**
 * 地址管理
 * @param {Function} getAddressList  获取地址列表
 * @param {Function} putAddress      修改地址
 * @param {Function} deleteAddress  删除地址
 * @param {Function} postAddress   创建地址
 */
export function getAddressList(params) {
  return axios.get(API.userAddress, params)
}
export function putAddress(id, params) {
  return axios.put(API.userAddress + '/' + id, qs.stringify(params))
}
export function deleteAddress(id) {
  return axios.delete(API.userAddress + '/' + id)
}
export function postAddress(params) {
  return axios.post(API.userAddress, qs.stringify(params))
}
/**
 * 日志管理
 * @param {Function} getlogList     获取日志列表
 */
export function getlogList(params) {
  return axios.get(API.log, params)
}
/**
 * 认证信息
 * @param {Function} postVerify     认证信息
 */
export function postVerify(params) {
  return axios.post(API.userVerify, qs.stringify(params))
}

export function putEmail(params) {
  return axios.put(API.email, params)
}

export function putPhone(params) {
  return axios.put(API.phone, params)
}
export function wechatUnbound(params) {
  return axios.delete(API.wechatUnbound, params)
}
export function qqUnbound(params) {
  return axios.delete(API.qqUnbound, params)
}
