/*
 * @Author: fengzg
 * @Date: 2020-05-12 10:10:18
 * @LastEditors: fengzg
 * @LastEditTime: 2020-09-10 15:56:10
 * @FilePath: \vue-center\src\api\modules\finance.js
 * @Description: 财务管理
 * @WebSite: https://www.epower.cn/
 */
/**
 * 财务管理
 */
import axios from '@/utils/request' // 导入http中创建的axios实例
import qs from 'qs' // 根据需求是否导入qs模块
const API = {
  invoice: '/user/invoice', // 发票
  invoiceTemplate: '/user/invoice_template', // 发票模板
  bill: '/user/user_bill', // 财务明细
  recharge: '/user/recharge',
  alipay: '/recharge/ali_recharge'// 支付宝电脑充值
}
/**
 * 财务明细
 * @param {Function} getBill     获取财务明细列表
 */
export function getBill(params) {
  return axios.get(API.bill, { params })
}
export function getRechargeList(params) {
  return axios.get(API.recharge, { params })
}
// export function getRechargeList(params) {
//   return axios.get(API.recharge, { params })
// }
/**
 * 发票
 * @param {Function} createInvoice 创建发票
 * @param {Function} invoiceList   获取发票列表
 * @param {Function} InvoiceDetail 发票详情

 *
 */
export function createInvoice(params) {
  return axios.post(API.invoice, qs.stringify(params))
}
export function invoiceList(params) {
  return axios.get(API.invoice, params)
}
export function InvoiceDetail(id) {
  return axios.get(API.invoice + '/' + id)
}

/**
 * 发票模板
 * @param {Function} createTemplate 创建发票模板
 * @param {Function} templateList 模板列表
 * @param {Function} templateDetail 模板详情
 * @param {Function} deleteTemplate 删除模板
 */
export function createTemplate(params) {
  return axios.post(API.invoiceTemplate, params)
}
export function getTemplateList(params) {
  return axios.get(API.invoiceTemplate, params)
}
export function getTemplateDetail(id) {
  return axios.get(API.invoiceTemplate + '/' + id)
}
export function putTemplate(id, params) {
  return axios.put(API.invoiceTemplate + '/' + id, params)
}
export function deleteTemplate(id) {
  return axios.delete(API.invoiceTemplate + '/' + id)
}
