/*
 * @Author: fengzg
 * @Date: 2020-04-15 11:41:59
 * @LastEditors: fengzg
 * @LastEditTime: 2020-10-16 14:59:14
 * @FilePath: \vue-center\src\api\modules\websites.js
 * @Description: 官微建站
 */
import axios from '@/utils/request' // 导入http中创建的axios实例
import qs from 'qs' // 根据需求是否导入qs模块
const API = {
  gwTemplateClasses: '/gw/template_classes',
  gwTemplates: '/gw/templates',
  gwBaseDomains: '/gw/base_domains',
  gwWebsites: '/user/websites',
  gwDomains: '/user/website_domains',
  gwIcp: '/user/gw/icp_codes',
  gwMina: '/user/gw_applet'
}
/**
 * @param {Function} getWebsites     获取网站列表
 * @param {Function} getDashboard    获取网站控制面板登录地址
 * @param {Function} getDomains      获取绑定域名列表
 * @param {Function} postDomains     绑定域名
 * @param {Function} deleteDomains   绑定域名删除
 * @param {Function} deleteWebsites  网站删除
 * @param {Function} getIcp          备案码列表
 */
export function getWebsites() {
  return axios.get(`${API.gwWebsites}`)
}
export function getDashboard(id) {
  return axios.get(`${API.gwWebsites}` + '/dashboard/' + id)
}
export function getDomains(id, params) {
  return axios.get(`${API.gwDomains}` + '/' + id + '?' + qs.stringify(params))
}
export function postDomains(id, params) {
  return axios.post(`${API.gwDomains}` + '/' + id, qs.stringify(params))
}
export function deleteDomains(id) {
  return axios.delete(`${API.gwDomains}` + '/' + id)
}
export function deleteWebsites(id) {
  return axios.delete(`${API.gwWebsites}` + '/' + id)
}
export function getIcp(id) {
  return axios.get(`${API.gwIcp}` + '/' + id)
}
