import Dialog from './Dialog'

const DIALOGS = {}
export default function createDialog(Vue, { store = {}, router = {}}, options) {
  const name = options.name || 'default'
  let dialog = DIALOGS.hasOwnProperty(name) ? DIALOGS[name] : null
  if (dialog) {
    dialog.options = {
      ...options
    }

    dialog.$children[0].visible = true
  } else {
    dialog = new Vue({
      name: 'RootDialog',
      router,
      store,
      data() {
        return {
          options: { ...options }
        }
      },
      render(h) {
        return h(Dialog, {
          props: this.options
        })
      }
    })
    dialog.$mount()
    document.body.appendChild(dialog.$el)
    DIALOGS[name] = dialog
  }

  // 暴露close方法
  return {
    close: () => dialog.$children[0].close()
  }
}
