import Vue from 'vue'

import '@/styles/index.less' // global css
import '@/assets/less/index.less'
import '@/assets/element-ui/index.css'

import App from './App'
import store from './store'
import router from './router'

import '@/permission' // permission control

import utils from '@/utils'

import filters from './filters' // global filters

import api from './api/index.js'
import areas from './api/areas.js'
import messages from './utils/element-ui.js'
Vue.use(messages, { store, router })

Vue.use(api)
Vue.use(areas)
Vue.use(utils)

import myLoading from '@/components/Loading'

import components from './components/index'
Vue.use(components)
Vue.use(myLoading, { progressColor: 'blue' })

import VueLazyload from 'vue-lazyload'
Vue.use(VueLazyload, { loading: '/statics/epower/img/noneimage.jpg', error: '/statics/epower/img/noneimage.jpg' })
Vue.use(filters)
Vue.config.productionTip = false

import { getVariables } from '@/api/modules/common'
import { processRoutes } from '@/router'
getVariables().then(res => {
  store.commit('layout/SET_SETTING', res.configs)
  store.commit('layout/SET_TOP_MENU', res.navigations.top_nav)
  store.commit('user/SET_USER_INFO', res.user || null)
  processRoutes(store)
}).finally(res => {
  new Vue({
    el: '#app',
    router,
    store,
    render: h => h(App)
  })
})
