import Vue from 'vue'
import Router from 'vue-router'
import user from './modules/center'
import Login from '@/views/login'
import axios from '@/utils/request'
import store from '@/store'



import NotFound from '@/views/404'
import canShow from '@/router/saleable'
Vue.use(Router)
export const constantRoutes = [
  {
    path: '/userLogin',
    component: Login,
    name: 'Login',
    meta: {
      hidden: true
    }
  }
]

const setMenu = () => {
  const patentEnable = store.getters.patentEnable
  const configs = store.getters.setting
  const coupon_enable = configs.product.coupon_enable
  const promotion_commission_enable = configs.product.promotion_commission_enable
  const withdraw_enable = configs.finance.withdraw_enable
  const invoice_enable = configs.finance.invoice_enable
  const work_order_enable = configs.member.work_order_enable
  for (let index = 0; index < user.length; index++) {
    const element = user[index]['children']
    if (!element || !element.length) {
      continue
    }
    if (!promotion_commission_enable && user[index]['name'] === 'promotion_commission') {
      user[index]['hidden'] = true
      continue
    }

    const show = canShow(configs.product.saleable_products, user[index]['name'])
    if (show !== null && !show) {
      user[index]['hidden'] = true
      continue
    }
    if (!work_order_enable && user[index]['name'] === 'work_order') {
      user[index]['hidden'] = true
      continue
    }
    if (user[index]['name'] === 'product_vhost_server') {
      
      continue
    }
    for (let i = 0; i < element.length; i++) {
      const child = element[i]
      if ((child.name === 'Invoice' || child.name === 'InvoiceTemplate' || child.name === 'InvoiceReceipt') && !invoice_enable) {
        child.hidden = true
      }
      if (child.name === 'FinanceCoupon' && !coupon_enable) {
        child.hidden = true
      }
      const show2 = canShow(configs.product.saleable_products, child.name)
      if (show2 !== null && !show2) child['hidden'] = true

      if (child.name === 'WithdrawalApply' && !withdraw_enable) child['hidden'] = true

      if (child.name === 'TmPatent' && !patentEnable) child['hidden'] = true
    }
  }
}

const createRouter = () =>
  new Router({
    mode: 'history', // require service support
    base: '/user',
    scrollBehavior: () => ({ y: 0 }),
    routes: []
  })

const router = createRouter()

// Detail see: https://github.com/vuejs/vue-router/issues/1234#issuecomment-357941465
export function resetRouter() {
  const newRouter = createRouter()
  router.matcher = newRouter.matcher // reset router
}

export function processRoutes(store) {
  let RouterArr = []
  setMenu()
  RouterArr = constantRoutes.concat(user)
  RouterArr.push({ path: '*', component: NotFound, hidden: true, meta: { hiddenHF: true }})
  router.addRoutes(RouterArr)
  axios.get('tm_products?with_price=no').then(res => {
    store.commit('layout/SET_TM_PRODUCT', res.data.data)
  })
}
export default router
