import Layout from '@/layout/index'
import AccountVerify from '@/views/account/verify/index'
import AccountBasic from '@/views/account/basic/index'
import AccountSafety from '@/views/account/safety/index'
import AccountAddress from '@/views/account/address/index'
import AccountLog from '@/views/account/log/index'

export default {
  path: '/account',
  redirect: 'noRedirect',
  component: Layout,
  meta: {
    icon: 'zhanghuguanli',
    title: '账户管理'
  },
  children: [
    {
      path: '/verify',
      component: AccountVerify,
      name: 'AccountVerify',
      meta: {
        title: '认证信息'
      }
    },
    {
      path: '/profile',
      component: AccountBasic,
      name: 'AccountBasic',
      meta: {
        title: '基本信息'
      }
    },
    {
      path: '/profile/safety',
      component: AccountSafety,
      name: 'AccountSafety',
      meta: {
        title: '安全设置'
      }
    },
    {
      path: '/profile/address',
      component: AccountAddress,
      name: 'AccountAddress',
      meta: {
        title: '常用地址'
      }
    },
    {
      path: '/userlog',
      component: AccountLog,
      name: 'AccountLog',
      meta: {
        title: '操作日志'
      }
    }
  ]
}
