import Layout from '@/layout/index'
import CloudServer from '@/views/cloud/server/index'
import CloudServerDetail from '@/views/cloud/server/detail'
import CloudHost from '@/views/cloud/host/index'
import CloudHostDetail from '@/views/cloud/host/detail'

export default {
  path: '/cloud',
  redirect: 'noRedirect',
  component: Layout,
  meta: {
    icon: 'yunjisuan',
    title: '云计算'
  },
  alwaysShow: true,
  name: 'product_vhost_server',
  children: [
    {
      path: '/server',
      name: 'CloudServer',
      component: CloudServer,
      meta: {
        title: '云服务器管理'
      }
    },
    {
      path: '/server/detail/:id',
      name: 'CloudServerDetail',
      component: CloudServerDetail,
      hidden: true,
      meta: {
        title: '云服务器详情',
        activeMenu: '/server'
      }
    },
    {
      path: '/host',
      name: 'CloudHost',
      component: CloudHost,
      meta: {
        title: '云虚拟主机管理'
      }
    },
    {
      path: '/host/detail/:id',
      name: 'CloudHostDetail',
      component: CloudHostDetail,
      hidden: true,
      meta: {
        activeMenu: '/host',
        title: '云虚拟主机详情'
      }
    },

    {
      path: 'http://beian.veryhost.cn/',
      meta: {
        title: '网站备案'
      }
    }
  ]
}
