import Layout from '@/layout/index'
import DomainMyDomains from '@/views/domain/my-domains/index'
import DomainMyDomainsDetail from '@/views/domain/my-domains/detail'
import DomainTemplate from '@/views/domain/template/index'
import DomainTemplateEdit from '@/views/domain/template/edit'
import DomainTemplateAdd from '@/views/domain/template/add'
import DomainTransferout from '@/views/domain/transferout/index'
import DomainTransferin from '@/views/domain/transferin/index'
import DomainPush from '@/views/domain/push/index'
import DomainPublish from '@/views/domain/publish/index'
import DomainMyPublish from '@/views/domain/my-publish/index'

export default {
  redirect: 'noRedirect',
  path: '/domain',
  component: Layout,
  name: 'product_domain',
  meta: {
    icon: 'yuming',
    title: '域名管理'
  },
  children: [
    {
      path: '/domains',
      component: DomainMyDomains,
      name: 'DomainMyDomains',
      meta: {
        title: '域名管理'
      }
    },
    {
      path: '/domains/detail/:id',
      component: DomainMyDomainsDetail,
      name: 'DomainMyDomainsDetail',
      hidden: true,
      meta: {
        title: '域名详情',
        activeMenu: '/domains'
      }
    },
    {
      path: '/contactor',
      component: DomainTemplate,
      name: 'DomainTemplate',
      meta: {
        title: '模板管理'
      }
    },
    {
      path: '/contactor/edit/:id',
      component: DomainTemplateEdit,
      name: 'DomainTemplateEdit',
      hidden: true,
      meta: {
        title: '模板管理',
        activeMenu: '/contactor'
      }
    },
    {
      path: '/contactor/add',
      component: DomainTemplateAdd,
      name: 'DomainTemplateAdd',
      hidden: true,
      meta: {
        title: '新建模板',
        activeMenu: '/contactor'
      }
    },
    {
      path: '/domains/transferout',
      component: DomainTransferout,
      name: 'DomainTransferout',
      meta: {
        title: '域名转出'
      }
    },
    {
      path: '/domains/transferin',
      component: DomainTransferin,
      name: 'DomainTransferin',
      meta: {
        title: '域名转入'
      }
    },
    {
      path: '/domains/push',
      component: DomainPush,
      name: 'DomainPush',
      meta: {
        title: '域名PUSH'
      }
    },
    {
      path: '/ymjy/publish/',
      component: DomainPublish,
      name: 'DomainPublish',
      meta: {
        title: '发布域名'
      }
    },
    {
      path: '/ymjy/publishList',
      component: DomainMyPublish,
      name: 'DomainMyPublish',
      meta: {
        title: '我发布的域名'
      }
    }
  ]
}
