import Layout from '@/layout/index'
import Invoice from '@/views/finance/invoice/index'
import InvoiceTemplate from '@/views/finance/invoice/template'
import InvoiceReceipt from '@/views/finance/invoice/receipt'
import WithdrawalApply from '@/views/withdrawal/apply'
import WithdrawalBanklist from '@/views/withdrawal/banklist'
import WithdrawalAddbank from '@/views/withdrawal/addbank'
import Withdrawal from '@/views/withdrawal/index'
import FinanceCoupon from '@/views/finance/coupon/index'
import FinanceMoney from '@/views/finance/money/index'
import FinanceRecharge from '@/views/finance/recharge/index'

export default {
  path: '/finance',
  redirect: 'noRedirect',
  component: Layout,
  meta: {
    icon: 'caiwuguanli',
    title: '财务管理'
  },
  children: [
    {
      path: '/invoice/apply',
      name: 'Invoice',
      component: Invoice,
      meta: {
        title: '发票管理'
      }
    },
    {
      path: '/invoice/template',
      name: 'InvoiceTemplate',
      component: InvoiceTemplate,
      hidden: true,
      meta: {
        activeMenu: '/invoice/apply',
        title: '发票模板列表'
      }
    },

    {
      path: '/invoice/apply/receipt',
      name: 'InvoiceReceipt',
      component: InvoiceReceipt,
      hidden: true,
      meta: {
        activeMenu: '/invoice/apply',
        title: '申请发票'
      }
    },
    {
      path: '/withdrawal',
      name: 'WithdrawalApply',
      component: WithdrawalApply,
      meta: {
        title: '提现管理'
      }
    },
    {
      path: '/withdrawal/accounts',
      name: 'WithdrawalBanklist',
      component: WithdrawalBanklist,
      hidden: true,
      meta: {
        activeMenu: '/withdrawal/apply',
        title: '收款账号管理'
      }
    },
    {
      path: '/verify/addbank',
      name: 'WithdrawalAddbank',
      component: WithdrawalAddbank,
      hidden: true,
      meta: {
        activeMenu: '/withdrawal/apply',
        title: '增加收款账号'
      }
    },
    {
      path: '/withdrawal/logs',
      name: 'Withdrawal',
      component: Withdrawal,
      hidden: true,
      meta: {
        activeMenu: '/withdrawal/apply',
        title: '提现明细'
      }
    },
    {
      path: '/coupon',
      name: 'FinanceCoupon',
      component: FinanceCoupon,
      meta: {
        title: '优惠券管理'
      }
    },
    {
      path: '/money',
      name: 'FinanceMoney',
      component: FinanceMoney,
      meta: {
        title: '财务明细'
      }
    },
    {
      path: '/payment',
      name: 'FinanceRecharge',
      component: FinanceRecharge,
      meta: {
        title: '充值中心'
      }
    }
  ]
}
