import Layout from '@/layout/index'
import GwWebsite from '@/views/website/index'
import GwWebsiteDomains from '@/views/website/domains'
import GwWebsiteService from '@/views/website/service'
import GwWebsiteConstruction from '@/views/website/construction'
import GwWebsiteIcp from '@/views/website/icp'
import GwWebsiteDomainsOrder from '@/views/website/domains-order'
import GwWebsiteIcpOrder from '@/views/website/icp-order'

export default {
  path: '/gw',
  redirect: 'noRedirect',
  component: Layout,
  name: 'product_gw_web',
  meta: {
    icon: 'guanweijianzhan1',
    title: '官微建站'
  },
  alwaysShow: true,
  children: [
    {
      path: '/website',
      name: 'GwWebsite',
      component: GwWebsite,
      meta: {
        title: '网站管理'
      }
    },
    {
      path: '/website/domainList/:id',
      name: 'GwWebsiteDomains',
      component: GwWebsiteDomains,
      hidden: true,
      meta: {
        title: '域名管理',
        activeMenu: '/website'
      }
    },

    {
      path: '/website/service',
      name: 'GwWebsiteService',
      component: GwWebsiteService,
      meta: {
        title: '服务管理'
      }
    },

    {
      path: '/website/constructions',
      name: 'GwWebsiteConstructions',
      component: GwWebsiteConstruction,
      meta: {
        title: '网站代建'
      }
    },
    {
      path: '/website/icpcodeList/:id',
      name: 'GwWebsiteIcp',
      component: GwWebsiteIcp,
      hidden: true,
      meta: {
        title: '备案码管理',
        activeMenu: '/website'
      }
    },
    {
      path: '/website/domainAdd/:id',
      name: 'GwWebsiteDomainsOrder',
      component: GwWebsiteDomainsOrder,
      hidden: true,
      meta: {
        title: '绑定域名订单支付',
        activeMenu: '/website'
      }
    },
    {
      path: '/website/icpcodeAdd/:id',
      name: 'GwWebsiteIcpOrder',
      component: GwWebsiteIcpOrder,
      hidden: true,
      meta: {
        title: '备案码订单支付',
        activeMenu: '/website'
      }
    }
  ]
}
