import Layout from '@/layout/index'
import Index from '@/views/index/index'
import RedirectIndex from '@/views/redirect/index'
import NotFound from '@/views/404'

export default [{
  path: '',
  component: Layout,
  redirect: 'index',
  children: [
    {
      path: '/index',
      name: 'Index',
      component: Index,
      meta: {
        icon: 'gerenzhongxin2',
        hidePanelTitle: true,
        title: '用户中心',
        hideBreadcrumb: true
      }
    }
  ]
},
{
  path: '/redirect',
  component: Layout,
  hidden: true,
  children: [
    {
      path: '/redirect/:path*',
      component: RedirectIndex
    }
  ]
},
{
  path: '/404',
  component: NotFound,
  name: 'NotFound',
  hidden: true,
  meta: {
    hiddenHF: true
  }
}]
