import Layout from '@/layout/index'
import PublishIndex from '@/views/patent/publish/index'
import PublishForm from '@/views/patent/publish/form'
import OrderIndex from '@/views/patent/index'

export default {
  path: '/patent',
  redirect: 'noRedirect',
  component: Layout,
  name: 'product_patent_trade',
  meta: {
    icon: 'zhuanli4',
    title: '专利交易'
  },
  alwaysShow: true,
  children: [
    {
      path: '/patent',
      name: 'PatentOrderIndex',
      component: OrderIndex,
      meta: {
        title: '交易管理'
      }
    },
    {
      path: '/patent/publish',
      name: 'PatentPublishList',
      component: PublishIndex,
      meta: {
        title: '我发布的专利'
      }
    },
    {
      path: '/patent/publish/form/:id(\\d+)?',
      name: 'PatentPublishForm',
      component: PublishForm,
      hidden: true,
      meta: {
        title: '发布专利',
        activeMenu: '/patent/publish'
      }
    }
  ]
}
