import Layout from '@/layout/index'
import sending from '@/views/sms/sending'
import sendingRecordBatch from '@/views/sms/send-record'
import sendingForm from '@/views/sms/send-sms'
import sendingRecordPhones from '@/views/sms/send-record-phones'
import signature from '@/views/sms/signature'
import module from '@/views/sms/module'

export default {
  path: '/shortMessage',
  component: Layout,
  redirect: 'noRedirect',
  name: 'short_message',
  meta: {
    icon: 'duanxin',
    title: '短信服务'
  },
  children: [
    {
      path: '/sms',
      component: sending,
      name: 'sending',
      redirect: '/sms/sending',
      meta: {
        title: '短信发送'
      },
      children: [
        {
          path: '/sms/sending',
          component: sendingForm,
          name: 'sendingForm',
          hidden: true,
          meta: {
            title: '短信发送',
            activeMenu: '/sms'
          }
        },
        {
          path: '/sms/sending-record',
          component: sendingRecordBatch,
          name: 'sendingRecordBatch',
          hidden: true,
          meta: {
            title: '发送记录',
            activeMenu: '/sms'
          }
        },
        {
          path: '/sms/sending-records',
          component: sendingRecordPhones,
          name: 'sendingRecordPhones',
          hidden: true,
          meta: {
            title: '发送记录详情',
            activeMenu: '/sms'
          }
        }
      ]
    },
    {
      path: '/sms/signature',
      component: signature,
      name: 'signature',
      meta: {
        title: '短信签名'
      }
    },
    {
      path: '/sms/module',
      component: module,
      name: 'module',
      meta: {
        title: '短信模板'
      }
    }
  ]
}
