import Layout from '@/layout/index'
import Ssl from '@/views/ssl/index'
import SslDetail from '@/views/ssl/detail'
import SslEdit from '@/views/ssl/edit'

export default {
  redirect: 'noRedirect',
  path: '/sslParent',
  component: Layout,
  meta: {
    icon: 'SSL',
    title: 'SSL证书'
  },
  name: 'product_ssl',
  alwaysShow: true,
  children: [
    {
      path: '/ssl',
      name: 'Ssl',
      component: Ssl,
      meta: {
        title: 'SSL证书管理'
      }
    },
    {
      path: '/ssl/detail/:id',
      name: 'SslDetail',
      component: SslDetail,
      hidden: true,
      meta: {
        title: '订单详情',
        activeMenu: '/ssl',
        hidePanelTitle: true
      }
    },
    {
      path: '/ssl/edit/:id',
      name: 'SslEdit',
      component: SslEdit,
      hidden: true,
      meta: {
        title: '编辑SSL订单',
        activeMenu: '/ssl'
      }
    }
  ]
}
