import TransactionOrder from '@/views/transaction/order/index'
import TransactionOrderDetail from '@/views/transaction/order/detail'
import TransactionHolder from '@/views/transaction/holder/index'
import TransactionMySelf from '@/views/transaction/mySelf/index'
import TransactionMySelfEdit from '@/views/transaction/mySelf/edit'
import TransactionNotarization from '@/views/transaction/notarization/index'
import TransactionNotarizationDetail from '@/views/transaction/notarization/detail'
import Layout from '@/layout/index'

export default {
  path: '/transaction',
  redirect: 'noRedirect',
  component: Layout,
  name: 'product_tm_trade',
  meta: {
    icon: 'shangbiaojiaoyi',
    title: '商标交易'
  },
  children: [
    {
      path: '/tmjiaoyi',
      name: 'TransactionOrder',
      component: TransactionOrder,
      meta: {
        title: '商标交易管理'
      }
    },
    {
      path: '/tmjiaoyi/edit/:id',
      name: 'TransactionOrderDetail',
      component: TransactionOrderDetail,
      hidden: true,
      meta: {
        activeMenu: '/tmjiaoyi',
        title: '交易订单管理'
      }
    },
    {
      path: '/tmjiaoyi/applyer',
      name: 'TransactionHolder',
      component: TransactionHolder,
      meta: {
        title: '持有人认证'
      }
    },
    {
      path: '/tmjiaoyi/publishindex',
      name: 'TransactionMySelf',
      component: TransactionMySelf,
      meta: {
        title: '我发布的商标'
      }
    },
    {
      path: '/tmjiaoyi/publishindex/edit/:id',
      name: 'TransactionMySelfEdit',
      component: TransactionMySelfEdit,
      hidden: true,
      meta: {
        title: '商标交易订单信息详情',
        activeMenu: '/tmjiaoyi/publishindex'
      }
    },
    {
      path: '/notarization',
      name: 'TransactionNotarization',
      component: TransactionNotarization,
      meta: {
        title: '商标交易公证'
      }
    },
    {
      path: '/notarization/:id',
      name: 'TransactionNotarizationDetail',
      component: TransactionNotarizationDetail,
      hidden: true,
      meta: {
        title: '商标交易公证详情',
        hidePanelTitle: true,
        activeMenu: '/notarization'
      }
    }

  ]
}
