import TmNormalOrder from '@/views/tm/normal-order/index'
import TmNormalOrderDetail from '@/views/tm/normal-order/detail'
import TmAgentOrder from '@/views/tm/agent-order/index'
import TmApplicantList from '@/views/tm/applicant/index'
import TmApplicantAdd from '@/views/tm/applicant/add'
import TmApplicantEdit from '@/views/tm/applicant/edit'
import TmMonitor from '@/views/tm/monitor/index'
import TmService from '@/views/tm/service/index'
import TmPatent from '@/views/tm/patent/index'
import TmCopyright from '@/views/tm/copyright/index'
import TmInternational from '@/views/tm/international/index'
import TmFile from '@/views/tm/file/index'
import UserTmFileClaim from '@/views/tm/file/claim'
import Layout from '@/layout/index'

export default {
  redirect: 'noRedirect',
  path: '/tm',
  component: Layout,
  meta: { icon: 'shangbiaozhichan1', title: '商标知产' },
  name: 'product_tm_ipr',
  children: [
    {
      path: '/tmManage', component: TmNormalOrder, name: 'TmNormalOrder', meta: { title: '普通注册' }},
    {
      path: '/tmManage/show/:id', component: TmNormalOrderDetail, name: 'TmNormalOrderDetail', hidden: true, meta: { activeMenu: '/tmManage', title: '普通注册订单详情', hidePanelTitle: true }
    },
    {
      path: '/tmManage/baomuList', component: TmAgentOrder, name: 'TmAgentOrder', meta: { title: '保姆注册' }
    },
    {
      path: '/tmApplyerManage', component: TmApplicantList, name: 'TmApplicantList', meta: { title: '商标申请人' }
    },
    {
      path: '/tmApplyerManage/add', component: TmApplicantAdd, name: 'TmApplicantAdd', hidden: true, meta: { title: '新增商标申请人', activeMenu: '/tmApplyerManage' }
    },
    {
      path: '/tmApplyerManage/edit/:id', component: TmApplicantEdit, name: 'TmApplicantEdit', hidden: true, meta: { title: '编辑商标申请人', activeMenu: '/tmApplyerManage' }
    },
    {
      path: '/tmStatusManage', component: TmMonitor, name: 'TmMonitor', meta: { title: '商标监控' }
    },
    {
      path: '/tmServicesManage', component: TmService, name: 'TmService', meta: { title: '商标服务' }
    },
    {
      path: '/tmServicesPatent', component: TmPatent, name: 'TmPatent', meta: { title: '专利服务' }
    },
    {
      path: '/tmServicesCopyright', component: TmCopyright, name: 'TmCopyright', meta: { title: '版权服务' }
    },
    {
      path: '/tminter', component: TmInternational, name: 'TmInternational', meta: { title: '国际商标' }
    },
    {
      path: '/tmFiles/index', component: TmFile, name: 'TmFile', meta: { title: '发文管理' }
    },
    {
      path: '/tmFiles/claim', component: UserTmFileClaim, name: 'UserTmFileClaim', hidden: true, meta: { activeMenu: '/tmFiles/index', title: '发文索取' }
    }

  ]
}
