import Layout from '@/layout/index'
import SubmitWorkOrder from '@/views/work-order/sumbit-work-order'
import MyWorkOrder from '@/views/work-order/my-work-order'
import WorkOrderDetails from '@/views/work-order/work-order-details'

export default {
  path: '/work',
  component: Layout,
  redirect: 'noRedirect',
  name: 'work_order',
  meta: {
    icon: 'gongdan',
    title: '工单管理'
  },
  children: [
    {
      path: '/work/submit',
      component: SubmitWorkOrder,
      name: 'SubmitWorkOrder',
      meta: {
        title: '提交工单'
      }
    },
    {
      path: '/work/my',
      component: MyWorkOrder,
      name: 'MyWorkOrder',
      meta: {
        title: '我的工单'
      }
    },
    {
      path: '/work/details',
      hidden: true,
      component: WorkOrderDetails,
      name: 'WorkOrderDetails',
      meta: {
        title: '工单详情'
      }
    }
  ]
}
