import ElementUI from 'element-ui'
import Dialog from '@/components/Dialog/install'

export default {
  install(Vue, options) {
    Vue.use(ElementUI, { size: 'medium' })

    Vue.prototype.$message = function(msg) {
      if (typeof msg.duration === 'undefined') {
        msg.duration = 2000
      }
      return ElementUI.Message(msg)
    }
    Vue.prototype.$message.success = function(msg) {
      return ElementUI.Message.success({
        message: msg,
        duration: 2000
      })
    }
    Vue.prototype.$message.info = function(msg) {
      return ElementUI.Message.info({
        message: msg,
        duration: 2000
      })
    }
    Vue.prototype.$message.warning = function(msg) {
      return ElementUI.Message.warning({
        message: msg,
        duration: 2000
      })
    }
    Vue.prototype.$message.error = function(msg) {
      return ElementUI.Message.error({
        message: msg,
        duration: 2000
      })
    }

    Vue.use(Dialog, { store: options.store, router: options.router })
  }
}
